% =================================================================
% ft3mbar.m
% =================================================================
%                        FlexTool( ) for Matlab                          
%                           Copyright (c) 1996                               
%                   Flexible Intelligence Group (FIG)       	             
%            P. O. Box 861477, Tuscaloosa, AL 35486-0013, USA.            
%                              12/05/1996                                  
% =================================================================
% Menu Bar

function ft3mbar1(junk)

global ftSCtypeSCAgbl ftFSfuztypeSCAgbl
global ftNNtypeSCAgbl ftNNpp_typeMATgbl ftNNfig_1
global ftFStypeSCAgbl ftFSpp_typeMATgbl
global ftEAtypeSCAgbl ftEApp_typeMATgbl
global ftFSvarCNTgbl 
global ftEAer_typeSCAgbl
global ftNNpp2_typeMATgbl ftNNfn2_bpMATgbl ftNNpp2_lrnMATgbl

global ftENMpp_typeMATgbl
global ftENMtypeSCAgbl ftENMpp_typeMATgbl ftENMfn_bpMATgbl ftENM_lrnMATgbl
global ftENMlearnSCAgbl ftENMpp_lrnMATgbl


%*********************************
global ftGNtypeSCAgbl ftGNpp_typeMATgbl ftGNfig_1


if nargin < 1
 %====================================
 % Menu Bar-Options 
 %====================================
 h1=uimenu(gcf,'Label','FT-Tool');
 if ftSCtypeSCAgbl==1
   h11=uimenu(h1,'Label','New (Build)','Callback','ftnnask(9)');
   h12=uimenu(h1,'Label','Load','Callback','ftnnload');
   h13=uimenu(h1,'Label','Save','Callback','ftnnsave');
   h14=uimenu(h1,'Label','Warm','Callback','ftnnwarm','separator','on');
   h16=uimenu(h1,'Label','Run','Callback',' ','separator','on');
      h161=uimenu(h16,'Label','Train w/ Workspace Data','Callback','ftnnsave(''warm''); ftnnrun(2);');
      h162=uimenu(h16,'Label','Train w/ a  ".m"  File','Callback','ftnnsave(''warm''); ftnnrun(1);');
      h163=uimenu(h16,'Label','Simulate NN','Callback','ftnnsave(''warm''); ftnnrun(3);','Separator','on');

 elseif ftSCtypeSCAgbl==2
   h11=uimenu(h1,'Label','New (Build)','Callback','ftfsask(9)');
   h12=uimenu(h1,'Label','Load','Callback','ftfsload');
   h13=uimenu(h1,'Label','Save','Callback','ftfssave');
   h14=uimenu(h1,'Label','Warm','Callback','ftfswarm','separator','on');
   h16=uimenu(h1,'Label','Run','Callback',' ','separator','on');
      h161=uimenu(h16,'Label','Simulate w/ Workspace Data','Callback','ftfsrun(2);');
      h162=uimenu(h16,'Label','Simulate w/ a  ".m"  File','Callback', 'ftfsrun(1);');

 elseif ftSCtypeSCAgbl==3
   h11=uimenu(h1,'Label','New (Build)','Callback','fteaask(9)');
   h12=uimenu(h1,'Label','Load','Callback','fteaload;');
   h13=uimenu(h1,'Label','Save','Callback','fteasave;');
   h14=uimenu(h1,'Label','Warm','Callback','fteawarm','separator','on');
   h16=uimenu(h1,'Label','Run','Callback',' ','separator','on');
      p4_=['ftgp_def(''gp_cold.mat'',2); ftfp_def(''fp_cold.mat'',2); ftrunga(0);'];
      h161=uimenu(h16,'Label','Evolve','Callback',p4_);
      h162=uimenu(h16,'Label','Test/Sim Best Solution','Callback', 'ftgaeval','Separator','on');
      
  %************************************************************************************************************
elseif ftSCtypeSCAgbl==4 
   h11=uimenu(h1,'Label','New','Callback','ftnnask(9)');
   h12=uimenu(h1,'Label','Load','Callback','ftnnload');
   h13=uimenu(h1,'Label','Save','Callback','ftnnsave');
   h14=uimenu(h1,'Label','Warm','Callback','ftnnwarm','separator','on');
   h16=uimenu(h1,'Label','Run','Callback',' ','separator','on');
      h161=uimenu(h16,'Label','Evolve NN','Callback','ftnnsave(''warm''); ftenrun3;');
      h162=uimenu(h16,'Label','Simulate NN','Callback','ftnnsave(''warm''); ftenrun(1);');
   
      
 elseif ftSCtypeSCAgbl==5 %  changed all the "fs" to gf
   h11=uimenu(h1,'Label','New','Callback','ftgfask(9)');
   h12=uimenu(h1,'Label','Load','Callback','ftgfload');
   h13=uimenu(h1,'Label','Save','Callback','ftgfsave');
   h14=uimenu(h1,'Label','Warm','Callback','ftgfwarm','separator','on');
   %h16=uimenu(h1,'Label','Run','Callback',' ','separator','on');
   h16=uimenu(h1,'Label','Run');
      h161=uimenu(h16,'Label','Evolve FS','Callback','ftgfrun(2);');
      h162=uimenu(h16,'Label','Simulate FS','Callback', 'ftgfrun(1);');
   

 elseif ftSCtypeSCAgbl==6  %changed all the "ea" to nf
   h11=uimenu(h1,'Label','New','Callback','ftnfask(9)');
   h12=uimenu(h1,'Label','Load','Callback','ftnfload;');
   h13=uimenu(h1,'Label','Save','Callback','ftnfsave;');
   h14=uimenu(h1,'Label','Warm','Callback','ftnfwarm','separator','on');
   h16=uimenu(h1,'Label','Run');
      h161=uimenu(h16,'Label','Evolve FS','Callback','ftnfrun(2);');
      h162=uimenu(h16,'Label','Simulate FS','Callback', 'ftnfrun(1);');

   end
   
%************************************************************************************************************      

   h15=uimenu(h1,'Label','Open as','Callback',' ','separator','on');
     h151=uimenu(h15,'Label','Neural Network (NN)','Callback',['ftSCtypeSCAgbl=1;']);
       for i=1:4
         h151i=uimenu(h151,'Label',ftNNpp_typeMATgbl(i,:),'Callback',['ftNNtypeSCAgbl=' num2str(i) '; close; ftci; ftnn1(''1''); ftnn1;']);
       end
       for i=5
         h151i=uimenu(h151,'Label',ftNNpp_typeMATgbl(i,:),'Separator','on','Callback',['ftNNtypeSCAgbl=' num2str(i) '; close; ftci; ftnn1(''1''); ftnn1;']);
       end
       for i=6
         h151i=uimenu(h151,'Label',ftNNpp_typeMATgbl(i,:),'Callback',['ftNNtypeSCAgbl=' num2str(i) '; close; ftci; ftnn1(''1''); ftnn1;']);
       end
       for i=7
         h151i=uimenu(h151,'Label',ftNNpp_typeMATgbl(i,:),'Separator','on','Callback',['ftNNtypeSCAgbl=' num2str(i) '; close; ftci; ftnn1(''1''); ftnn1;']);
       end
       for i=8:10
         h151i=uimenu(h151,'Label',ftNNpp_typeMATgbl(i,:),'Callback',['ftNNtypeSCAgbl=' num2str(i) '; close; ftci; ftnn1(''1''); ftnn1;']);
       end
       for i=11
         h151i=uimenu(h151,'Label',ftNNpp_typeMATgbl(i,:),'Separator','on','Callback',['ftNNtypeSCAgbl=' num2str(i) '; close; ftci; ftnn1(''1''); ftnn1;']);
       end
       for i=12:13
         h151i=uimenu(h151,'Label',ftNNpp_typeMATgbl(i,:),'Callback',['ftNNtypeSCAgbl=' num2str(i) '; close; ftci; ftnn1(''1''); ftnn1;']);
       end
       for i=14
         h151i=uimenu(h151,'Label',ftNNpp_typeMATgbl(i,:),'Separator','on','Callback',['ftNNtypeSCAgbl=' num2str(i) '; close; ftci; ftnn1(''1''); ftnn1;']);
       end

     h152=uimenu(h15,'Label','Fuzzy System (FS)','Callback',['ftSCtypeSCAgbl=2;']);
       for i=1:2
         h152i=uimenu(h152,'Label',ftFSpp_typeMATgbl(i,:),'Callback',['ftFStypeSCAgbl=' num2str(i) '; ftFSfuztypeSCAgbl=ftFStypeSCAgbl; close; ftci; ftfs1;']);
      end
  
     h153=uimenu(h15,'Label','Evolutionary Algorithm (EA)','Callback',['ftSCtypeSCAgbl=3;']);
     for i=1:4
          h153i=uimenu(h153,'Label',ftEApp_typeMATgbl(i,:),'Callback',['ftEAtypeSCAgbl=' num2str(i) '; close; ftgainfo(3); waitfor(ftEAhandle); ftci; ftea1;']);
       end
       

      h154=uimenu(h15,'Label','Evoltinary Neural Network (EN)','Callback',['ftSCtypeSCAgbl=4;']);
       for i=1:3
         h154i=uimenu(h154,'Label',ftENMpp_typeMATgbl(i,:),'Callback',['ftENMtypeSCAgbl=' num2str(i) '; close; ftci; ften1(''1''); ften1;']);
      end
       for i=4
         h151i=uimenu(h151,'Label',ftENMpp_typeMATgbl(i,:),'Separator','on','Callback',['ftENMtypeSCAgbl=' num2str(i) '; close; ftci; ften1(''1''); ften1;']);
       end

      
      h155=uimenu(h15,'Label','Evolutinary Fuzzy System (EF)','Callback',['ftSCtypeSCAgbl=5;']);
       for i=1:2
         h155i=uimenu(h155,'Label',ftFSpp_typeMATgbl(i,:),'Callback',['ftFStypeSCAgbl=' num2str(i) '; ftFSfuztypeSCAgbl=ftFStypeSCAgbl; close; ftci; ftef1;']);
      end
  
     h156=uimenu(h15,'Label','Neural Fuzzy (NF)','Callback',['ftSCtypeSCAgbl=6;']);
     for i=1:4
          h156i=uimenu(h156,'Label',ftEApp_typeMATgbl(i,:),'Callback',['ftEAtypeSCAgbl=' num2str(i) '; close; ftgainfo(3); waitfor(ftEAhandle); ftci; ftnf1;']);
       end




   h17=uimenu(h1,'Label','Exit FlexTool','Callback','ftqtmenu','separator','on');

 h2=uimenu(gcf,'Label','FT-Type');
  if ftSCtypeSCAgbl==1
     for i=1:4      
        h2i=uimenu(h2,'Label',ftNNpp_typeMATgbl(i,:),'Callback',['ftNNtypeSCAgbl=' num2str(i) '; close; ftci; ftnn1(''1''); ftnn1;']);
       end
    for i=5
          h2i=uimenu(h2,'Label',ftNNpp_typeMATgbl(i,:),'Separator','on','Callback',['ftNNtypeSCAgbl=' num2str(i) '; close; ftci; ftnn1(''1''); ftnn1;']);
       end
       for i=6
           h2i=uimenu(h2,'Label',ftNNpp_typeMATgbl(i,:),'Callback',['ftNNtypeSCAgbl=' num2str(i) '; close; ftci; ftnn1(''1''); ftnn1;']);
       end
       for i=7
           h2i=uimenu(h2,'Label',ftNNpp_typeMATgbl(i,:),'Separator','on','Callback',['ftNNtypeSCAgbl=' num2str(i) '; close; ftci; ftnn1(''1''); ftnn1;']);
       end
       for i=8:10
           h2i=uimenu(h2,'Label',ftNNpp_typeMATgbl(i,:),'Callback',['ftNNtypeSCAgbl=' num2str(i) '; close; ftci; ftnn1(''1''); ftnn1;']);
       end
       for i=11
           h2i=uimenu(h2,'Label',ftNNpp_typeMATgbl(i,:),'Separator','on','Callback',['ftNNtypeSCAgbl=' num2str(i) '; close; ftci; ftnn1(''1''); ftnn1;']);
       end
       for i=12:13
           h2i=uimenu(h2,'Label',ftNNpp_typeMATgbl(i,:),'Callback',['ftNNtypeSCAgbl=' num2str(i) '; close; ftci; ftnn1(''1''); ftnn1;']);
       end
       for i=14
           h2i=uimenu(h2,'Label',ftNNpp_typeMATgbl(i,:),'Separator','on','Callback',['ftNNtypeSCAgbl=' num2str(i) '; close; ftci; ftnn1(''1''); ftnn1;']);
       end
    end   
    
   if ftSCtypeSCAgbl==2
       for i=1:2
          h2i=uimenu(h2,'Label',ftFSpp_typeMATgbl(i,7:size(ftFSpp_typeMATgbl,2)),'Callback',['ftFStypeSCAgbl=' num2str(i) '; ftFSfuztypeSCAgbl=ftFStypeSCAgbl; close; ftci; ftfs1;']);
       end
   end

   if ftSCtypeSCAgbl==3
       for i=1:4
          h2i=uimenu(h2,'Label',ftEApp_typeMATgbl(i,:),'Callback',['ftEAtypeSCAgbl=' num2str(i) '; close; ftgainfo(3); waitfor(ftEAhandle); ftci; ftea1; ']);
       end
    end
    

    

    %*************************************************************************************************
    if ftSCtypeSCAgbl==4
       for i=1:3        
          h2i=uimenu(h2,'Label',ftENMpp_typeMATgbl(i,:),'Callback',['ftENMtypeSCAgbl=' num2str(i) '; close; ftci; ften1(''1''); ften1;']);
       end
       for i=4
           h2i=uimenu(h2,'Label',ftENMpp_typeMATgbl(i,:),'Separator','on','Callback',['ftENMtypeSCAgbl=' num2str(i) '; close; ftci; ften1(''1''); ften1;']);
       end

    end
   
   if ftSCtypeSCAgbl==5
       for i=1:2
          h2i=uimenu(h2,'Label',ftFSpp_typeMATgbl(i,7:size(ftFSpp_typeMATgbl,2)),'Callback',['ftFStypeSCAgbl=' num2str(i) '; ftFSfuztypeSCAgbl=ftFStypeSCAgbl; close; ftci; ftef1;']);
       end
   end

   if ftSCtypeSCAgbl==6
       for i=1:2
          h2i=uimenu(h2,'Label',ftFSpp_typeMATgbl(i,7:size(ftFSpp_typeMATgbl,2)),'Callback',['ftFStypeSCAgbl=' num2str(i) '; ftFSfuztypeSCAgbl=ftFStypeSCAgbl; close; ftci; ftnf1;']);
       end
   end
%*********************************************************************

 h3=uimenu(gcf,'Label','FT-View');

 if ftSCtypeSCAgbl==1
   h31=uimenu(h3,'Label','View NN','Callback','ftnndisp');
   h32=uimenu(h3,'Label','View Weights','Callback','ftnnwts(1,1,1)');
   h33=uimenu(h3,'Label','View Associations','Callback','ftnnasn(1,1,1)');
 end

 if ftSCtypeSCAgbl==2
   h31=uimenu(h3,'Label','View FS','Callback','ftfsdisp');
   h32=uimenu(h3,'Label','View Input FMF','Callback','ftmfdisp(1,1)');
   h33=uimenu(h3,'Label','View Output FMF','Callback','ftmfdisp(2,1)');

 end

 if ftSCtypeSCAgbl==3
   h32=uimenu(h3,'Label','View EA Parameters','Callback','ftea_par');
end

%******************************************************************************
if ftSCtypeSCAgbl==4
   h31=uimenu(h3,'Label','View NN','Callback','ftnndisp');
   h32=uimenu(h3,'Label','View Weights','Callback','ftnnwts(1,1,1)');
   h33=uimenu(h3,'Label','View Associations','Callback','ftnnasn(1,1,1)');
 end

 if ftSCtypeSCAgbl==5
   h31=uimenu(h3,'Label','View FS','Callback','ftfsdisp');
   h32=uimenu(h3,'Label','View Input FMF','Callback','ftmfdisp(1,1)');
   h33=uimenu(h3,'Label','View Output FMF','Callback','ftmfdisp(2,1)');

 end

 if ftSCtypeSCAgbl==6
   h31=uimenu(h3,'Label','View FS','Callback','ftfsdisp');
   h32=uimenu(h3,'Label','View Input FMF','Callback','ftmfdisp(1,1)');
   h33=uimenu(h3,'Label','View Output FMF','Callback','ftmfdisp(2,1)');
 end
%****************************************************************************************

 h4=uimenu(gcf,'Label','FT-Help');
%   h41=uimenu(h4,'Label','General Help','Callback',' ');
%   h42=uimenu(h4,'Label','NN Help','Callback',' ');
%   h43=uimenu(h4,'Label','FS Help','Callback',' ');
%     h431=uimenu(h43,'Callback','fthelp(gcf,''FS'')');
%   h44=uimenu(h4,'Label','EA Help','Callback',' ');
   h45=uimenu(h4,'Label','About FlexTools','Callback','ftabout');

end % if

%====================================================================================================
% END FT3mbar
% =================================================================
