%
% ftaskpra.m
%
% =========================================================================  
%                          FlexTools(FS) for Matlab                          
%                             Copyright (c) 1995                               
%                       Flexible Intelligence Group (FIG)       	             
%                   P. O. Box 1477, Tuscaloosa, AL 35486, USA.            
%                                 06/05/1995                                  
% =========================================================================  
%
% View | Edit Aggregation Function Parameters
%

function ftaskpra

global ftFSaggrfilenMATgbl ftFSaggrparmnMATgbl ftFSaggrtypenMATgbl 
global ftFSaggrtypeSCAgbl ftFSaggrpcntVECgbl fuztitle ftFSfuncfilenMATgbl ftFSdaggrparmMATgbl ftFSaggrparmMATgbl ftflag_edtGUI
global ftscr_cntSCAgbl
global ftFigPos_bigVECgbl ftFigPos_medVECgbl ftFigPos_smallVECgbl ftXscaleVECgbl ftYscaleVECgbl ftXYscaleVECgbl

fig_askpra=ftfigure('fig_askpra','FlexTool(FS)--Aggregation Parameters',ftFigPos_smallVECgbl,'on','none');

%=================
% Big Text Block
%=================

x0=0.05; y0=0.75; dy=0.1; dy1=0.15; dx=0.9; dx1=0.3; dx2=0.25; eps=0.02;
dx3=0.15;
ftFSpp1_=[ ftFSaggrtypenMATgbl(ftFSaggrtypeSCAgbl,:) ,' Parameter: ',  ftFSaggrparmnMATgbl(ftFSaggrtypeSCAgbl,:)]; 

 ftFSpp3_=[x0 y0 dx dy];
 ftscrtxt(fig_askpra,ftFSpp1_,ftFSpp3_);
 clear ftFSpp1_ ftFSpp3_

if(ftFSaggrpcntVECgbl(ftFSaggrtypeSCAgbl))
 ftFSpp1_=['Recommended Parameter Range:  [ ', num2str(ftFSdaggrparmMATgbl(ftFSaggrtypeSCAgbl, 3)) ,' -> ', num2str(ftFSdaggrparmMATgbl(ftFSaggrtypeSCAgbl, 4)), ']'];
 ftFSpp3_=[x0 y0-2*dy dx dy1];
 ftscrtxt(fig_askpra,ftFSpp1_,ftFSpp3_);
 clear ftFSpp1_ ftFSpp3_

ftFSpp3_=[x0+dx2 y0-4*dy dx1 dy];
 ftFSpp1_=['Edit Current Value'];
 ftscrtxt(fig_askpra,ftFSpp1_,ftFSpp3_);

 ftscr_cntSCAgbl = ftscr_cntSCAgbl + 1;
 ftFSpp3_=[x0+dx2+dx1+eps y0-4*dy dx3 dy];
 ftFSbprmSCAgbl=num2str(ftFSaggrparmMATgbl(ftFSaggrtypeSCAgbl, 1));
 ftFSpp4_=['ftFSaggrparmMATgbl(' num2str(ftFSaggrtypeSCAgbl) ',' num2str(1) ') = str2num(get(ftflag_edtGUI(' num2str(ftscr_cntSCAgbl) '),''string''));'];
  ftscredt(fig_askpra,ftFSbprmSCAgbl, ftFSpp3_, ftFSpp4_, ftscr_cntSCAgbl);
  clear ftFSpp4_

end; % if there are parameters
clear ftFSpp3_

%=====================
% Go back one screen
%=====================

ftscrpb(fig_askpra,'Done',[0.4 0.05 0.2 0.12],'close');

%
% end ftaskpra.m
%

