%
% ftaskprd.m
%
% =========================================================================  
%                          FlexTools(FS) for Matlab                          
%                             Copyright (c) 1995                               
%                       Flexible Intelligence Group (FIG)       	             
%                   P. O. Box 1477, Tuscaloosa, AL 35486, USA.            
%                                 06/05/1995                                  
% =========================================================================  
%
% View | Edit Defuzzification Function Parameters
%

function ftaskprd

global ftFSdefuznameMATgbl ftFSdeftypenMATgbl ftFSdefpfilnMATgbl ftFSmax_inSCAgbl
global ftFSdeftypeSCAgbl ftFSdefpcntVECgbl fuztitle ftFSfuncfilenMATgbl ftFSddefparmMATgbl ftFSdefparmMATgbl
global ftscr_cntSCAgbl ftFSNo_inCNTgbl
global ftFigPos_bigVECgbl ftFigPos_medVECgbl ftFigPos_smallVECgbl ftXscaleVECgbl ftYscaleVECgbl ftXYscaleVECgbl

ftscr_cntSCAgbl = ftscr_cntSCAgbl+1;
position=[250 100 350 175];

fig_askprm=ftfigure('fig_askprm','FlexTool(FS)--Defuzzification Parameters',ftFigPos_smallVECgbl,'on','none');

%=================
% Big Text Block
%=================

x0=0.05; y0=0.75; dy=0.1; dy1=0.15; dx=0.9; dx1=0.3; dx2=0.15; eps=0.02;
dx3=0.15;

if(ftFSdefpcntVECgbl(ftFSdeftypeSCAgbl))
if(ftFSdeftypeSCAgbl<6)
 ftFSpp1_=[ ftFSdeftypenMATgbl(ftFSdeftypeSCAgbl,:) ,' Parameter: ',  ftFSdefpfilnMATgbl(ftFSdeftypeSCAgbl,:)];
elseif(ftFSdeftypeSCAgbl==6)
 ftFSpp1_=[ ftFSdeftypenMATgbl(ftFSdeftypeSCAgbl,:) ,' Parameters: ',  ftFSdefpfilnMATgbl(ftFSdeftypeSCAgbl,:) ,' , ', ftFSdefpfilnMATgbl(ftFSdeftypeSCAgbl+1,:)];
elseif(ftFSdeftypeSCAgbl==7)
 ftFSpp1_=[ ftFSdeftypenMATgbl(ftFSdeftypeSCAgbl,:) ,' Parameter: ',  ftFSdefpfilnMATgbl(9,:)];
else
 ftFSpp1_=['No Defuzzification! Shall use Fuzzy Output!'];
end; % if
else
 ftFSpp1_= [ ftFSdeftypenMATgbl(ftFSdeftypeSCAgbl, :) ,' has no parameters!'];
end; %if

 ftFSpp3_=[x0 y0 dx dy];
 ftscrtxt(fig_askprm,ftFSpp1_,ftFSpp3_);
 clear ftFSpp1_ ftFSpp3_

if(ftFSdefpcntVECgbl(ftFSdeftypeSCAgbl))
 if((ftFSdeftypeSCAgbl~=6)&(ftFSdeftypeSCAgbl<8))
  ftFSpp1_=['Recommended Parameter Range:  [ ', num2str(ftFSddefparmMATgbl(ftFSdeftypeSCAgbl, 3)) ,' -> ', num2str(ftFSddefparmMATgbl(ftFSdeftypeSCAgbl, 4)), ']'];
 elseif(ftFSdeftypeSCAgbl==6)
  ftFSpp1_=['Recommended Parameter Range:  [ ', num2str(ftFSddefparmMATgbl(ftFSdeftypeSCAgbl,3)) ,' -> ', num2str(ftFSddefparmMATgbl(ftFSdeftypeSCAgbl,4)), '] ; [ ', num2str(ftFSddefparmMATgbl(ftFSdeftypeSCAgbl, 5)) ,' -> ', num2str(ftFSddefparmMATgbl(ftFSdeftypeSCAgbl, 6)), ']'];
 end; % if
  ftFSpp3_=[x0 y0-2*dy dx dy];
  ftscrtxt(fig_askprm,ftFSpp1_,ftFSpp3_);
  clear ftFSpp1_ ftFSpp3_

if(ftFSdeftypeSCAgbl==7)
% ftFSpp1_=['Edit Current Parameter & Constraints (in vector form)'];
 ftFSpp1_=['This option is NOT AVAILABLE in this version.'];
 ftFSpp3_=[x0 y0-4*dy dx dy];
else
 ftFSpp1_=['Edit Current Value'];
 ftFSpp3_=[x0+dx2 y0-4*dy dx1 dy];
end; % if
 ftscrtxt(fig_askprm,ftFSpp1_,ftFSpp3_);
 if (ftFSdeftypeSCAgbl~=7)
  ftFSbprmSCAgbl=num2str(ftFSdefparmMATgbl(ftFSdeftypeSCAgbl,1));
  ftFSpp3_=[x0+dx1+dx2+eps y0-4*dy dx3 dy];
  ftFSpp4_=['ftFSdefparmMATgbl(' num2str(ftFSdeftypeSCAgbl) ',' num2str(1) ') = str2num(get(ftflag_edtGUI(' num2str(ftscr_cntSCAgbl) '),''string''));'];
  ftscredt(fig_askprm,ftFSbprmSCAgbl, ftFSpp3_, ftFSpp4_,ftscr_cntSCAgbl);
  clear ftFSpp3_ ftFSpp4_
 end
 if(ftFSdeftypeSCAgbl==6)
  ftscr_cntSCAgbl = ftscr_cntSCAgbl + 1;
  bprm2=num2str(ftFSdefparmMATgbl(ftFSdeftypeSCAgbl,2));
  ftFSpp3_=[x0+dx1+dx2+dx3+3*eps y0-4*dy dx3 dy];
  ftFSpp4_=['ftFSdefparmMATgbl(' num2str(ftFSdeftypeSCAgbl) ',' num2str(2) ') = str2num(get(ftflag_edtGUI(' num2str(ftscr_cntSCAgbl) '),''string''));'];
  ftscredt(fig_askprm,bprm2, ftFSpp3_, ftFSpp4_,ftscr_cntSCAgbl);
 elseif(ftFSdeftypeSCAgbl==7)
  ftscr_cntSCAgbl = ftscr_cntSCAgbl + 1;
%  bprm3 = num2str(ftFSdefparmMATgbl(ftFSdeftypeSCAgbl,i));
  bprm3=' ';
  ftFSpp3_=[x0+dx1+dx2+eps y0-4*dy dx3 dy];
  ftFSpp4_=['ftFSdefparmMATgbl(' num2str(ftFSdeftypeSCAgbl) ',' num2str(i) ') = str2num(get(ftflag_edtGUI(' num2str(ftscr_cntSCAgbl) '),''string''));'];
%  ftscredt(fig_askprm,bprm3, ftFSpp3_, ftFSpp4_,ftscr_cntSCAgbl);
 end; % if
 clear ftFSpp3_ ftFSpp4_
end; % if there are parameters

%=====================
% Go back one screen
%=====================

ftscrpb(fig_askprm,'Done',[0.4 0.05 0.2 0.12],'close');

%
% end ftaskprd.m
%
