% =================================================================
% ftea_def.m
% =================================================================
%                        FlexTool(EA) for Matlab                          
%                           Copyright (c) 1996                               
%                   Flexible Intelligence Group (FIG)       	             
%            P. O. Box 861477, Tuscaloosa, AL 35486-0013, USA.            
%                              06/05/1996                                  
% =================================================================
% Some declarations required for FlexTool(NN) and FlexTool(ENM)
%

function ftea_def

ftEAnoofpSCAgbl=1;
ftEAtypeSCAgbl=1;
ftEAsspopSCAgbl=11;
ftEAnpopSCAgbl=31;
ftEAngenSCAgbl=20;
ftEAncrossSCAgbl=2;
ftEApcrossSCAgbl=0.77;
ftEApmutateSCAgbl=0.0077;
ftEAtsizeSCAgbl=2;
ftEAregenSCAgbl=1;
ftEAnoofobjSCAgbl=1;
ftEAinitfuncVECgbl='x';
ftEAcodingSCAgbl=1;
ftEAnopSCAgbl=1;
ftEApminVECgbl=0;
ftEApmaxVECgbl=1;
ftEApresVECgbl=0.01;
ftEAp2SCAgbl=1;
ftEAmmVECgbl=1;
ftEApresuVECgbl=0.01;
ftEAnbitsVECgbl=4;
ftEAlchromSCAgbl=4;

ftEApp_typeMATgbl=str2mat(...
'Generational EA', ...
'Micro-EA', ...
'N/A in the current version', ...
'Flex-EA');

ftEAmm_typeSCAgbl=1;

ftEApp_mmtypeMATgbl=str2mat(...
'Minimization',...
'Maximization');

ftEAnselectSCAgbl=2;

ftEApp_selMATgbl=str2mat(...
'Roulette Wheel',...
'Tournament',...
'Ranking');

ftEAnoofpeaksSCAgbl=1;

ftEApp_noofpksMATgbl=str2mat(...
'One',...
'Two',...
'Three',...
'Four');

ftEAobjfuncVECgbl='objfunc';

two_power_k(1:200)=2.^(0:199);

ftbprmSTRgbl = 'fname';
clear empty i  
save ft3ea_def.mat

%
% end ftea_def.m
%
 
