%
% FTefmlrn.m
%
% =========================================================================  
%                          FlexTools(EFM) for Matlab                          
%                             Copyright (c) 1995                               
%                       Flexible Intelligence Group (FIG)       	             
%                   P. O. Box 1477, Tuscaloosa, AL 35486, USA.            
%                                 06/05/1995                                  
% =========================================================================  
% 
% Specify Learning Scheme extends for The Fuzzy System FMF parameters
% and Rule Structure, and other activities such as pop up menu for
% choice of fuzzy model(if opt1==20)
%

function ftefmlrn(opt1, opt2, opt3)

%
% opt1 is for some occasions
% opt2 is for some occasions
% opt3 is for specifying a particular ftFSrule_
%

global ftEFMlrnoptSCAgbl ftentrymodeFLGgbl ftEFMfsinoSCAgbl ftEFMefpfGUI
global ftparmnamegbl ftparmoptFLGgbl ftEFMasetlrnMATgbl
global ftEFMlrnfmfoSCAgbl ftEFMlrnrsoSCAgbl ftFSbldoptgbl ftFSbldoptgbl

global bestP ftEFMmmodelOPTgbl
global ftFSmax_rulesSCAgbl ftFSmax_LVSCAgbl ftFSmax_inSCAgbl ftFSmax_outSCAgbl
global ftFSbase_minSCAgbl ftFSbase_maxSCAgbl ftFSbase_diffSCAgbl
global ftFSbase_resSCAgbl ftFSNo_stepsCNTgbl ftFSrbasisMATgbl ftFSbasisMATgbl ftFSbase_setVECgbl ftFS_inMATgbl ftFSNo_fmfsCNTgbl ftFSNo_defuzCNTgbl
global ftFSNo_rulesCNTgbl ftFSNo_critCNTgbl ftFSNo_ilingCNTgbl ftFSNo_olingCNTgbl  
global ftFSilingVECgbl ftFSimaxVECgbl ftFSiminVECgbl ftFSidiffVECgbl ftFSiunitVECgbl ftFSinameVECgbl ftFSNo_inCNTgbl
global ftFSiLVlearnVECgbl ftFSiLVtypeVECgbl ftFSiLVnameVECgbl ftFSdef_LVCNTgbl
global ftFSolingVECgbl ftFSomaxVECgbl ftFSominVECgbl ftFSounitVECgbl ftFSonameVECgbl ftFSNo_outCNTgbl
global ftFSoLVlearnVECgbl ftFSoLVtypeVECgbl ftFSoLVnameVECgbl 
global ftFSrulelearnVECgbl ftioLVtypeVECgbl ftioLVlearnVECgbl
global ftFSunivMATgbl ftFSlnameMATgbl ftFSincMATgbl ftFSinlMATgbl ftFSinrMATgbl ftFSoutcMATgbl ftFSoutlMATgbl ftFSparmMATgbl
global ftFSaincMATgbl ftFSainlMATgbl ftFSainrMATgbl ftFSaoutcMATgbl ftFSaoutlMATgbl ftFSaoutrMATgbl ftEFMailrnMATgbl ftEFMaolrnMATgbl
global ftFSoutrMATgbl ftFSiparmMATgbl ftFSoparmMATgbl ftFSilrnMATgbl ftFSolrnMATgbl
global ftFSFLGgbl ftFS2FLGgbl ftflag_edtGUI ftparm_edtGUI ftFSdisp1FLGgbl 
global ftFSvarCNTgbl ftFSlingCNTgbl ftFSruleCNTgbl ftFSpfGUI
global ftFSfmfilenMATgbl ftFSfmfcntVECgbl ftFSimpnameMATgbl ftFSaggrfilenMATgbl ftFSdefuznameMATgbl
global ftFSaggrparmnMATgbl ftFSdefpfilnMATgbl
global ftFSfmftypenMATgbl ftFSimptypenMATgbl ftFSaggrtypenMATgbl ftFSdeftypenMATgbl
global fuztitle ftFSfuncfilenMATgbl
global ftFSdfmfparmMATgbl ftFSdaggrparmMATgbl ftFSddefparmMATgbl
global ftFSfmfparmMATgbl ftFSaggrparmMATgbl ftFSdefparmMATgbl 
global ftFSaggrpcntVECgbl ftFSdefpcntVECgbl
global ftFSfuztypeSCAgbl ftFSfuzltypeSCAgbl ftFSaggrtypeSCAgbl ftFSdeftypeSCAgbl ftFSimptypeSCAgbl 
global ftFSfmfSTRgbl ftFSimplicateSTRgbl ftFSaggregateSTRgbl ftFSdefuzSTRgbl
global ftFSinfnameSTRgbl
global ftscr_cntSCAgbl
global ftFSyouriterSTRgbl ftFSyinitnameSTRgbl ftFSyobjname1STRgbl ftFSyobjname2STRgbl

if (opt1 == 1)
	ftEFMlrnfmfoSCAgbl = 1; 
	ftEFMlrnrsoSCAgbl  = 1; 
	if(ftEFMlrnoptSCAgbl ==2)
		ftEFMlrnfmfoSCAgbl = 3; 
	elseif((ftEFMlrnoptSCAgbl ==3)|(ftEFMlrnoptSCAgbl==6))
		ftEFMlrnrsoSCAgbl = 4; 
	elseif((ftEFMlrnoptSCAgbl ==4)|(ftEFMlrnoptSCAgbl==7))
		ftEFMlrnfmfoSCAgbl = 2; 
		ftEFMlrnrsoSCAgbl  = 2; 
	end % if
end % if	

if (opt2 == 2)
%
% FMF
%
	 if(ftEFMlrnfmfoSCAgbl==3)
		ftFSiLVlearnVECgbl=ones(1,(ftFSmax_LVSCAgbl*ftFSmax_inSCAgbl)); 
		ftFSoLVlearnVECgbl=ones(1,(ftFSmax_LVSCAgbl*ftFSmax_outSCAgbl));
	 else
		ftFSiLVlearnVECgbl=ones(1,(ftFSmax_LVSCAgbl*ftFSmax_inSCAgbl))+1; 
		ftFSoLVlearnVECgbl=ones(1,(ftFSmax_LVSCAgbl*ftFSmax_outSCAgbl))+1; 
		ftFSrulelearnVECgbl=ones(ftFSmax_rulesSCAgbl,1); 
		ftFSilrnMATgbl=ones((ftFSmax_rulesSCAgbl),ftFSmax_inSCAgbl);  
		ftFSolrnMATgbl=ones((ftFSmax_rulesSCAgbl),ftFSmax_outSCAgbl);  
	 end;
end; % if

if (opt2 == 3)
%
% Rule Structure
%
	if(ftEFMlrnrsoSCAgbl==4) 
		ftFSrulelearnVECgbl=ones(ftFSmax_rulesSCAgbl,1); 
		ftFSilrnMATgbl=ones((ftFSmax_rulesSCAgbl),ftFSmax_inSCAgbl);  
		ftFSolrnMATgbl=ones((ftFSmax_rulesSCAgbl),ftFSmax_outSCAgbl);  
	else
		ftFSrulelearnVECgbl=ones(ftFSmax_rulesSCAgbl,1)+1; 
		ftFSilrnMATgbl=ones((ftFSmax_rulesSCAgbl),ftFSmax_inSCAgbl)+1;  
		ftFSolrnMATgbl=ones((ftFSmax_rulesSCAgbl),ftFSmax_outSCAgbl)+1;  
	end;
end; % if
	
if (opt2 == 4)
	if(ftFSrulelearnVECgbl(opt3)==1)
		ftFSilrnMATgbl(opt3,1:ftFSmax_inSCAgbl)=ones(1,ftFSmax_inSCAgbl);
		ftFSolrnMATgbl(opt3,1:ftFSmax_outSCAgbl)=ones(1,ftFSmax_outSCAgbl);
	elseif(ftFSrulelearnVECgbl(opt3)==2)
		ftFSilrnMATgbl(opt3,1:ftFSmax_inSCAgbl)=ones(1,ftFSmax_inSCAgbl)+1;
		ftFSolrnMATgbl(opt3,1:ftFSmax_outSCAgbl)=ones(1,ftFSmax_outSCAgbl)+1;
	end;
end; % if

%
% If learning choice is the full system or the complete
% ftFSrule_ structure, you dont want to go and set up the 
% rulebase. You would rather get GA to learn it. 
% Exception is if you want to specify only a subset of
% the variables. We assume AND relationship for all!
% Exceptions have to be entered by the user.
%
if (opt2 == 10)
    if((ftEFMlrnoptSCAgbl==1)|(ftEFMlrnoptSCAgbl==2)|(ftEFMlrnoptSCAgbl==5)|(ftEFMlrnrsoSCAgbl==1))
        ftFSincMATgbl=ones((ftFSmax_rulesSCAgbl),ftFSmax_inSCAgbl);
        ftFSinrMATgbl=zeros((ftFSmax_rulesSCAgbl),ftFSmax_inSCAgbl);
        ftFSoutcMATgbl=ones((ftFSmax_rulesSCAgbl),ftFSmax_outSCAgbl);
        ftFSoutrMATgbl=zeros((ftFSmax_rulesSCAgbl),ftFSmax_outSCAgbl);  
	for(i=1:ftFSNo_rulesCNTgbl)
		ftFSincMATgbl(i,1:ftFSNo_inCNTgbl)   = [2:ftFSNo_inCNTgbl+1];
		ftFSinrMATgbl(i,1:ftFSNo_inCNTgbl-1) = ones(1,ftFSNo_inCNTgbl-1);
		ftFSoutcMATgbl(i,1:ftFSNo_outCNTgbl) = [2:ftFSNo_outCNTgbl+1];
		ftFSoutrMATgbl(i,1:ftFSNo_outCNTgbl-1)=ones(1,ftFSNo_outCNTgbl-1);
	end; % for i loop
    end; %if
end; % if

if (opt2 == 12)
    if((ftEFMlrnoptSCAgbl==1)|(ftEFMlrnoptSCAgbl==2)|(ftEFMlrnoptSCAgbl==5)|(ftEFMlrnrsoSCAgbl==1))
	mycnt1=ftFSNo_outCNTgbl*ftFSmax_LVSCAgbl;
	ftFSolingVECgbl(1,1:mycnt1) = zeros(1,mycnt1)+ftFSdef_LVCNTgbl;
	ftFSNo_olingCNTgbl=sum(ftFSolingVECgbl(1:ftFSNo_outCNTgbl));
	ftFSoLVtypeVECgbl(1,1:mycnt1)=zeros(1,mycnt1)+ftFSoLVtypeVECgbl(1,1);
    end; %if
end; % if

if (opt2 == 11)
    if((ftEFMlrnoptSCAgbl==1)|(ftEFMlrnoptSCAgbl==2)|(ftEFMlrnoptSCAgbl==5)|(ftEFMlrnrsoSCAgbl==1))
	mycnt1=ftFSNo_inCNTgbl*ftFSmax_LVSCAgbl;
	ftFSilingVECgbl(1,1:mycnt1)  = zeros(1,mycnt1)+ftFSdef_LVCNTgbl;
	ftFSNo_ilingCNTgbl=sum(ftFSilingVECgbl(1:ftFSNo_inCNTgbl)); 
	ftFSiLVtypeVECgbl(1,1:mycnt1)=zeros(1,mycnt1)+ftFSiLVtypeVECgbl(1,1);
    end; % if
end; % if

if(opt1==20)

global ftscr_cntSCAgbl ftflag_edtGUI ftFSNo_rulesCNTgbl ftFSNo_ilingCNTgbl ftFSNo_olingCNTgbl ftFSiLVtypeVECgbl ftFSoLVtypeVECgbl
global ftFSfmftypenMATgbl ftcolor_bc1VECgbl ftcolor_fc1VECgbl ftEFMasetlrnMATgbl ftFSmax_LVSCAgbl ftFSNo_inCNTgbl ftFSNo_outCNTgbl
global rad_AL_1 rad_AL_2 ftEFMlrnoptSCAgbl
global ftFigPos_bigVECgbl ftFigPos_medVECgbl ftFigPos_smallVECgbl ftXscaleVECgbl ftYscaleVECgbl ftXYscaleVECgbl
global FigurePos_Vsmall bestp_n
fig_efr=ftfigure('fig_efr','FlexTool(EF)',ftFigPos_smallVECgbl,'on','figure');

%=================
% Big Text Block
%=================

ftFSpp1_=' ';
ftFSpp2_=str2mat(...
            'Select the fuzzy model you want to use from the',...
            'set evolved by GA. You will have a set to select from',...
            'if you selected the Multiple Model option');

ftFSpp3_= [0.95 0.05 0.95 0.65 0.05 0.005];
ftscrhlp(fig_efr,ftFSpp1_,ftFSpp2_,ftFSpp3_,'left');
clear ftFSpp1_ ftFSpp3_

x0=0.05; y0=0.35; dy=0.1; dy1=0.12; dx=0.73; dx2=0.15; eps=0.02;

 ftFSpp1_=['Select Fuzzy Model Learned using EFM'];
 ftFSpp3_=[x0 y0 dx dy];
 ftscrtxt(fig_efr,ftFSpp1_,ftFSpp3_);
 clear ftFSpp1_ ftFSpp3_
 ftscr_cntSCAgbl = ftscr_cntSCAgbl+1;
 Nofs=size(bestP,1);
 if(Nofs>=1)
	 ftFSpp1_='FS 1';
	 for i=2:Nofs
	  ftFSpp1_=str2mat(ftFSpp1_,['FS ' num2str(i)]); 
	 end
	 gaoptparams=bestP;
	 ftFSpp3_=[x0+dx+eps y0 dx2 dy];
	 ftFSpp4_=['ftEFMmmodelOPTgbl=get(ftflag_edtGUI(' num2str(ftscr_cntSCAgbl) '),''value''); gaoptparams=bestP(ftEFMmmodelOPTgbl,:); ftefmeld(gaoptparams); close;'];
	 ftFSpp5_=Nofs;
	 ftFSpp6_=[1:Nofs];
	 ftscrpup(fig_efr,ftFSpp1_,ftFSpp3_,ftFSpp4_,ftFSpp5_,ftFSpp6_,ftscr_cntSCAgbl);
	 clear ftFSpp1_ ftFSpp3_ ftFSpp4_ ftFSpp5_ ftFSpp6_
 end;
%=====================
% Go back one screen
%=====================

ftscrpb(fig_efr,'Done',[0.4 0.05 0.2 0.12],'close');

end; % if

%
% end ftefmlrn.m
%


