%
% FTencold
%      
% =========================================================================  
%                          FlexTools(ENM) for Matlab                          
%                             Copyright (c) 1996                              
%                       Flexible Intelligence Group (FIG)       	             
%                   P. O. Box 861477, Tuscaloosa, AL 35486-0013, USA.            
%                                 06/05/1996                                  
% =========================================================================  

function ftencold

global ftFigPos_bigVECgbl ftFigPos_medVECgbl ftFigPos_smallVECgbl ftXscaleVECgbl ftYscaleVECgbl ftXYscaleVECgbl
global FigurePos_Vsmall

clc; 

%-------------------------------------------   
% Load ENM Parameters   
%-------------------------------------------   
   choice=1;   
     
   fname='ftencold.mat';   
   if ~exist(fname),   
    choice=0;    
    fig_encold=ftfigure('fig_encold','FlexTool(ENM) -- ENM COLD',ftFigPos_smallVECgbl,'on','none');

    ftFSpp3_= [0.9 0.1 0.9 0.6 0.005 0.005];
    ftFSpp1_=' ';

    ftFSpp2_=str2mat(' ENM File (ftencold.mat) is not available.',...
                ' Go back and enter data and/or Run ENM.');

    ftscrhlp(fig_encold,ftFSpp1_,ftFSpp2_,ftFSpp3_,'left');
    ftscrpb(fig_encold,'Done',[0.4 0.1 0.2 0.1],'close;');
    break;
  else
    fig_encold=ftfigure('fig_encold','FlexTool(ENM) -- ENM COLD',ftFigPos_smallVECgbl,'on','none');
    ftFSpp3_= [0.9 0.1 0.9 0.60 0.005 0.005];
    ftFSpp1_=' ';

    ftFSpp2_=str2mat(' This option will load ENM from data stored',... 
                  ' from any previous menu interaction.',...
 		  ' Enter Ok to Load or enter Cancel'); 
  
    ftscrhlp(fig_encold,ftFSpp1_,ftFSpp2_,ftFSpp3_,'left');

    ftscrpb(fig_encold,'Ok',[0.2 0.1 0.25 0.15],'close; load ftencold; close; ftenmenu','yes');
    ftscrpb(fig_encold,'Cancel',[0.55 0.1 0.25 0.15],'close;');
end   

%
% END FTencold
%
