%
% FTenmbar.m
%
% =========================================================================  
%                          FlexTools(ENM) for Matlab                          
%                             Copyright (c) 1996                               
%                       Flexible Intelligence Group (FIG)       	             
%                   P. O. Box 861477, Tuscaloosa, AL 35486-0013, USA.            
%                                 06/05/1996                                 
% =========================================================================  
%
% Sets up ENM menu bar
%

function ftenmbar(junk)

global ftNNtypeSCAgbl ftNNpp_typeMATgbl ftNNfig_1
global ftNNfnflagSCAgbl  ftENMFLGgbl 
global bestP ftENMpp_typeMATgbl ftENMtypeSCAgbl

%====================================
% Menu Bar-ENM Options 
%====================================
h1=uimenu(gcf,'Label','NN Type');
 for i=1:3
   h1i=uimenu(h1,'Label',ftENMpp_typeMATgbl(i,:),'Callback',['ftENMtypeSCAgbl=' num2str(i) '; close; ftenmenu;']);
 end
 for i=4;
    h1i=uimenu(h1,'Label',ftENMpp_typeMATgbl(i,:),'Separator','on','Callback',['ftENMtypeSCAgbl=' num2str(i) '; ftNNfnflagSCAgbl=1; ftENMFLGgbl=1; close; ftenmenu;']);
 end
 
 
h3=uimenu(gcf,'Label','NN View');
 h31=uimenu(h3,'Label','EA:Best NN');
  h311=uimenu(h31,'Label','NN','Callback',['ftenmeld(bestP); ftnndisp;']);
  h312=uimenu(h31,'Label','Weights','Callback',['ftenmeld(bestP); ftnnwts(1,1,1);'],'Separator','on');
  h313=uimenu(h31,'Label','Associations','Callback',['ftenmeld(bestP); ftnnasn(1,1,1);']);
 h32=uimenu(h3,'Label','NN:Best NN');
  h321=uimenu(h32,'Label','NN','Callback','ftnndisp');
  h322=uimenu(h32,'Label','Weights','Callback','ftnnwts(1,1,1);','Separator','on');
  h323=uimenu(h32,'Label','Associations','Callback','ftnnasn(1,1,1);');

 h4=uimenu(gcf,'Label','NN Simulate');
  h41=uimenu(h4,'Label','EA:Best NN');
   h411=uimenu(h41,'Label','Workspace Data','Callback','ftenmeld(bestP); ftnnsave(''warm''); ftnnrun2(2);');
   h412=uimenu(h41,'Label','a  ".m"  File','Callback','ftenmeld(bestP); ftnnsave(''warm''); ftnnrun2(1);');
  h42=uimenu(h4,'Label','NN:Best NN');
   h421=uimenu(h42,'Label','Workspace Data','Callback','ftnnsave(''warm''); ftnnrun2(2);');
   h422=uimenu(h42,'Label','a  ".m"  File','Callback','ftnnsave(''warm''); ftnnrun2(1);');
%fthelp(gcf,'AL');
fthelp(gcf,'EN');
%fthelp(gcf,'NN');
%fthelp(gcf,'GA');

 if junk==1
   close;
   ften1('1');
   ften1;
 elseif junk==2
   close;
   ften1('1');
   ften1;
 end


%
% end ftenmbar.m
%
