%
% FTenmenu.m
%
% =========================================================================  
%                          FlexTools(ENM) for Matlab                          
%                             Copyright (c) 1995                               
%                       Flexible Intelligence Group (FIG)       	             
%                   P. O. Box 861477, Tuscaloosa, AL 35486-0013, USA.            
%                                 06/05/1996                                  
% =========================================================================  
%
% FlexTool(ENM) Main GUI Menu
%
% Define screen scales. This will be different for different machines
%

global ftcolor_bc1VECgbl  ftcolor_bc2VECgbl 
global ftcolor_fc1VECgbl  ftcolor_fc2VECgbl 
global ftXYscaleVECgbl
global ftFigPos_bigVECgbl ftFigPos_medVECgbl  ftFigPos_mediumVECgbl
global ftFigPos_smallVECgbl ftFigPos_VsmallVECgbl
global ftflag_edtGUI      ftscr_cntSCAgbl    ftenmGUI
% ENM
global ftENMlrnOPTgbl     ftENMlrnNMATgbl    ftENMmaxSeqCNTgbl
global ftENMSeqChVECgbl   ftENMSeqChNMATgbl  ftENMeaConVECgbl
global ftENMSeqTimeVECgbl ftENMeaWtVECgbl    ftENMeaOptNMATgbl 
global ftENMselInVECgbl   ftENMynNameMATgbl  ftENMassn1MATgbl 
global ftENMassn1CNTgbl   ftENMassn2MATgbl   ftENMassn2CNTgbl
global ftENMassn3MATgbl   ftENMassn3CNTgbl   ftENMassn4MATgbl
global ftENMassn4CNTgbl   ftENMwts1MATgbl    ftENMwts1CNTgbl 
global ftENMwts2MATgbl    ftENMwts2CNTgbl    ftENMwts3MATgbl
global ftENMwts3CNTgbl    ftENMwts4MATgbl    ftENMwts4CNTgbl
global ftENMsameVECgbl    ftENMSeqCNTgbl     ftENMlrnCNTgbl
global ftENMFLGgbl        ftENM2FLGgbl       ftENMaFLGgbl
global ftNNfnflagSCAgbl   ftnndef_flag       ftENMnn_inMATgbl
global ftENMltypeFLGgbl   ftENMbldFLGgbl     ftENMmmodelOPTgbl
global ftENMrwtlIDXgbl    ftENMcwtlIDXgbl    ftENMrassnlIDXgbl   
%global ftENMcassnlIDXgbl  sval io1 io2 io3 io4
global ftENMrestartFLGgbl ftENMwtbufMATgbl   ftENMrbfOPTgbl
global ftENMweightOPTgbl  ftENMassocOPTgbl   ftENMlchromrgbl lchromr
%global ftENMCycCNTgbl     ftENMCycfreqSCAgbl

%NN
global ftNNpp_typeMATgbl ftNNpl_freqSCAgbl
global ftscr_cntSCAgbl ftflag_edtGUI
global ftNNtitleVECgbl ftNNtypeSCAgbl
global ftNNspecialSCAgbl ftNNpp_specMATgbl
global ftNNfn_errMATgbl ftNNer_typeSCAgbl ftNNpp_ertypeMATgbl
global ftNNer_betaSCAgbl
global ftNNlearnSCAgbl ftNNpp_lrnMATgbl
global ftNNconvSCAgbl ftNNpp_cnvMATgbl ftNNpp_actMATgbl
global ftNNno_inSCAgbl ftNNno_hidSCAgbl ftNNno_outSCAgbl ftNNno_totSCAgbl
global ftNNh_layerSCAgbl ftNNpp_hlayerMATgbl ftNNno_hidVECgbl
global ftNNlrSCAgbl ftNNmrSCAgbl
global ftNNn_epSCAgbl ftNNe_thSCAgbl
global ftNNv_pcntSCAgbl ftNNasetFLGgbl
global ftNNassocMATgbl    ftNNassnCNTgbl   ftNNassocOPTgbl
global ftNNweightMATgbl  ftNNweightOPTgbl 
global ftNNwrnd_pcntSCAgbl ftNNfn_actMATgbl ftNNin_wtsVECgbl

global ftNNn_inameVECgbl ftNNn_imaxVECgbl ftNNn_iminVECgbl ftNNn_itypeVECgbl
global ftNNn_hnameVECgbl ftNNn_hmaxVECgbl ftNNn_hminVECgbl ftNNn_htypeVECgbl
global ftNNn_onameVECgbl ftNNn_omaxVECgbl ftNNn_ominVECgbl ftNNn_otypeVECgbl

global ftNNbase_maxSCAgbl ftNNbase_minSCAgbl ftNNbase_resSCAgbl

global ftNNn_iparmVECgbl  ftNNn_hparmVECgbl ftNNn_oparmVECgbl
global ftNNtrainFLGgbl    ftNNsimFLGgbl     ftNNst_flagSCAgbl
global ftNNv_stringMATgbl ftNNv_countSCAgbl ftNNact_parmMATgbl
global ftNNno_in_userSCAgbl ftNNevlGUIgbl
global two_power_k
global nn_in nn_desired nn_out
global ftbprmSTRgbl
global ftNNrbf_meanMATgbl  ftNNrbf_sdMATgbl

%EA
global ftGApmaxVECgbl     ftGApminVECgbl      ftGApresVECgbl   
global FTdel_range        FTdel_partitions    FTdel_fmfparm
global ftGApslopeVECgbl   ftGApcVECgbl 
global ftGAFLGgbl         fts_tableMATgbl    ftm_tableMATgbl 
global ftGAp_typeVECgbl   gaflag             bestP
global ftGAlchromSCAgbl   ftGAnbitsVECgbl    ftGApcVECgbl       
global ftGA_choiceSCAgbl  ftGAobjfuncVECgbl  ftGAinitfuncVECgbl ftGAnoofpSCAgbl
global ftGAcodingSCAgbl   ftGAnopSCAgbl      ftGAnichtestSCAgbl ftGAnoofpeaksSCAgbl 
global ftGAnselectSCAgbl  ftGAnoofobjSCAgbl  ftGAtsizeSCAgbl    ftGAbestpMATgbl
global ftGAnpopSCAgbl     ftGAsspopSCAgbl    ftGAngenSCAgbl     ftGAregenSCAgbl     
global ftGApcrossSCAgbl   ftGApmutateSCAgbl  ftGAncrossSCAgbl   ftGAnoofevalVECgbl
global ftGAp1SCAgbl       ftGAp2SCAgbl       ftGAmmVECgbl       ftGAold_codeSCAgbl

global ftGAgapVECgbl      ftGAfunpVECgbl     ftGAmchildSCAgbl
global ftGAch_flagSCAgbl  ftGAfun_flagSCAgbl decide
global ftGAminiVECgbl     ftGAmaxiVECgbl     ftGAavgVECgbl     ftGAgennVECgbl   

global ftGArga_1GUI       ftGArga_2GUI       ftGArga_3GUI
global ftGArcode_noGUI    ftGArcode_yesGUI
global ftGArob_1GUI       ftGArob_2GUI       ftGArob_3GUI      ftGArob_4GUI 
global ftGArmin_1GUI      ftGArmin_2GUI      ftGArmin_3GUI     ftGArmin_4GUI
global ftGArmax_1GUI      ftGArmax_2GUI      ftGArmax_3GUI     ftGArmax_4GUI
global ftGAeobj_nameGUI   ftGAeinit_nameGUI  ftGApselGUI
global ftGAegenGUI        ftGAenpopGUI       ftGAepmGUI        ftGAepcGUI 
global ftGAencGUI         ftGAetsGUI         ftGAenopGUI       ftGAessGUI 
global ftGAeregGUI        ftGAep1GUI         ftGAep2GUI        ftGApnicGUI 

global ftEN_HelpTopicVECgbl ftGA_HelpTopicVECgbl ftFigPos_helpVECgbl

global ftENMtypeSCAgbl ftENMpp_typeMATgbl ftENMfn_bpMATgbl ftENM_lrnMATgbl
global ftENMlearnSCAgbl ftENMpp_lrnMATgbl

%ftscreen;	%edit this .m file to change scale values.

%ftFigPos_bigVECgbl   = [ 60  45 500 375].*ftXYscaleVECgbl;
%ftFigPos_medVECgbl   = [120 100 400 250].*ftXYscaleVECgbl;
%ftFigPos_smallVECgbl = [250 100 350 200].*ftXYscaleVECgbl;
%ftFigPos_VsmallVECgbl= [160 440 330  40].*ftXYscaleVECgbl;
%ftFigPos_helpVECgbl  =[260  45 300 375].*ftXYscaleVECgbl;
%ftFigPos_mediumVECgbl = ftFigPos_medVECgbl;

%ftcolor_bc1VECgbl=[0 0.1 0.5];
%ftcolor_bc2VECgbl=[1 1 1]; %KK Flex_5
%ftcolor_fc1VECgbl=[1 1 1];

global ftMaxModelCNTgbl  ftModelCNTgbl    ftModelIDXgbl
global ftModelNameMATgbl ftModelDBVECgbl  ftModelPartCntVECgbl
global ftMaxPartCNTgbl   ftPartTypeVECgbl ftPartCNTgbl
global ftPartIDXgbl      ftPartNameMATgbl ftPartDBVECgbl 
global ftModelTypeVECgbl ftSequenceVECgbl ftEApartCNTgbl
global ftPartInfoMATgbl  ftParmCNTgbl     ftParmIDXgbl
global ftENMFLGgbl

%
% Load defaults for NN, ENM, and GA respectively
% Dont change the order!
%

if isempty(ftGAch_flagSCAgbl)==1 
   ftdef_ga;
	ftdef_fn; 
	ga_choice=1;
	ftGAch_flagSCAgbl=1; 
	objfunc='';
	ftgp_def(' ',3);
	ftfp_def(' ',3);
end;

gaflag=1;
gapf='gap.mat';
funpf='funp.mat';
enpf='enm_save.mat';

%ften1(1);
ften1;
%
% end ftenmenu.m
%
