%
% ftfs1.m
%
% =========================================================================  
%                          FlexTools(FS) for Matlab                          
%                             Copyright (c) 1995                               
%                       Flexible Intelligence Group (FIG)       	             
%                   P. O. Box 1477, Tuscaloosa, AL 35486, USA.            
%                                 06/05/1995                                  
% =========================================================================  
%
% GUI for FlexTool(FS)
%
%global ftFSvarCNTgbl ftFSlingCNTgbl ftFSruleCNTgbl
global ftFSmax_rulesSCAgbl ftFSmax_LVSCAgbl ftFSmax_inSCAgbl ftFSmax_outSCAgbl
global ftFSbase_minSCAgbl ftFSbase_maxSCAgbl ftFSbase_resSCAgbl ftFSNo_stepsCNTgbl ftFSrbasisMATgbl ftFSbasisMATgbl ftFSbase_setVECgbl ftFS_inMATgbl
global ftFsNo_rulesCNTgbl ftFSNo_critCNTgbl ftFSNo_ilingCNTgbl ftFSNo_olingCNTgbl  
global ftFSilingVECgbl ftFSimaxVECgbl ftFSiminVECgbl ftFSiunitVECgbl ftFSinameVECgbl ftFSNo_inCNTgbl
global ftFSiLVlearnVECgbl ftFSiLVtypeVECgbl ftFSiLVnameVECgbl 
global ftFSolingVECgbl ftFSomaxVECgbl ftFSominVECgbl ftFsounitVECgbl ftFSonameVECgbl ftFSNo_outCNTgbl
global ftFSoLVlearnVECgbl ftFSoLVtypeVECgbl ftFSoLVnameVECgbl 
global ftFSrulelearnVECgbl
global ftFSunivMATgbl ftFSlnameMATgbl ftFSincMATgbl ftFSinlMATgbl ftFSinrMATgbl ftFSoutcMATgbl ftFSoutlMATgbl 
global ftFSoutrMATgbl ftFSiparmMATgbl ftFSoparmMATgbl ftFSilrnMATgbl ftFSolrnMATgbl 
global ftFSfuztypeSCAgbl ftFSdisp1FLGgbl ftFSaggrtypeSCAgbl ftFSdeftypeSCAgbl ftFSimptypeSCAgbl ftFSfmfparmMATgbl ftFSaggrparmMATgbl
global ftFSdefparmMATgbl ftFSfmfSTRgbl ftFSimplicateSTRgbl ftFSaggregateSTRgbl ftFSdefuzSTRgbl
global ftFSFLGgbl ftFS2FLGgbl ftflag_edtGUI ftparm_edtGUI
global ftFSimptypenMATgbl ftFSaggrtypenMATgbl ftFSdeftypenMATgbl ftscr_cntSCAgbl
global ftFSaggrpcntVECgbl ftciGUI ftpbH_1 ftpupH_1 ftpupH_2 ftpupH_3 ftpbH_4 fttxtH_1 fttxtH_2 fttxtH_3 
global ftFigPos_bigVECgbl ftFigPos_medVECgbl FigPos_smallVECgbl ftXscaleVECgbl ftYscaleVECgbl ftXYscaleVECgbl
global ftFSTSKTypeNameMATgbl ftFSTSKTypeVECgbl
global ftFStypeSCAgbl

ftFSlala_=num2str(fuztitle(ftFSfuztypeSCAgbl,:));
if(ftFSfuzltypeSCAgbl)
        ftFSlala_=['FlexTool ' ftFSlala_ '(Multi)--Build'];
else
        ftFSlala_=['FlexTool ' ftFSlala_ '--Build'];
end % if

ftFSruleCNTgbl=1;
%ftciGUI=ftfigure('ftciGUI',ftFSlala_,ftFigPos_bigVECgbl,'on','figure');

%=====================
% FS-Input Block
%=====================

ftFSpp1_='FS-Input Block';
ftFSpp2_=[' '];
ftFSpp3_= [0.7 0.04 0.31 0.2 0.07 0.001];
ftscrblk(ftciGUI,ftFSpp1_,ftFSpp2_,ftFSpp3_);
clear ftFSpp1_ ftFSpp2_ ftFSpp3_;

ftFSpp1_='Enter # of Inputs';
ftFSpp3_=[0.05 0.51 0.2 0.1];
ftscrtxt(ftciGUI,ftFSpp1_,ftFSpp3_);
clear ftFSpp1_ ftFSpp3_;

ftscr_cntSCAgbl = ftscr_cntSCAgbl+1;
ftFSpp1_=num2str(ftFSNo_inCNTgbl);
ftFSpp3_=[0.26 0.51 0.04 0.1];
ftFSpp4_=['ftFSNo_inCNTgbl=str2num(get(ftflag_edtGUI(' num2str(ftscr_cntSCAgbl) '),''string''));'];
ftscredt(ftciGUI,ftFSpp1_,ftFSpp3_,ftFSpp4_,ftscr_cntSCAgbl);
clear ftFSpp1_ ftFSpp3_ ftFSpp4_;

p_in_11='Variable Definition';
p_in_12='Linguistic Var Defn';

p_in_31=[0.05 0.38 0.25 0.1];
p_in_32=[0.05 0.25 0.25 0.1];

ftFSpp4_='ftfs2(1);';
ftscrpb(ftciGUI,p_in_11,p_in_31,ftFSpp4_);
clear ftFSpp4_;

if isempty(ftFSNo_inCNTgbl) == 0
 ftFSpp4_='ftFSvarCNTgbl=1; ftfs3(1)';
 ftscrpb(ftciGUI,p_in_12,p_in_32,ftFSpp4_);
else
 ftscrtxt(ftciGUI,p_in_12,p_in_32);
end
clear ftFSpp4_ p_in_12 p_in_32 p_in_11 p_in_31;

%========================
% FS-Decision Logic Block
%========================

ftFSpp1_='FS-Decision Logic Block';
ftFSpp2_=[' '];
ftFSpp3_= [0.7 0.365 0.635 0.2 0.07 0.001];
ftscrblk(ftciGUI,ftFSpp1_,ftFSpp2_,ftFSpp3_);
clear ftFSpp1_ ftFSpp3_;
   
   ftFSpp1_='Imp';
   ftFSpp3_=[0.375 0.51 0.05 0.09];
   fttxtH_1=ftscrtxt(ftciGUI,ftFSpp1_,ftFSpp3_);
   clear ftFSpp1_ ftFSpp3_ ftFSpp4_;

   %ftFSpp3_=[0.425 0.51 0.2 0.1];
   ftFSpp3_=[0.425 0.50 0.2 0.1];

   ftscr_cntSCAgbl = ftscr_cntSCAgbl+1;
   ftFSpp4_=['ftFSimptypeSCAgbl=get(ftflag_edtGUI(' num2str(ftscr_cntSCAgbl) '),''value'');'];
   ftFSpp5_=ftFSimptypeSCAgbl;
   ftFSpp6_=[1:size(ftFSimptypenMATgbl,1)]';
   ftpupH_1=ftscrpup(ftciGUI,ftFSimptypenMATgbl,ftFSpp3_,ftFSpp4_,ftFSpp5_,ftFSpp6_,ftscr_cntSCAgbl);
   clear ftFSpp3_

   ftFSpp1_='Agg'; 
   ftFSpp3_=[0.375 0.38 0.05 0.09];
   fttxtH_2=ftscrtxt(ftciGUI,ftFSpp1_,ftFSpp3_);
   clear ftFSpp1_ ftFSpp3_ ftFSpp4_;

   ftFSpp3_=[0.425 0.37 0.2 0.1];

   ftscr_cntSCAgbl = ftscr_cntSCAgbl+1;
   ftFSpp4_=['ftFSaggrtypeSCAgbl=get(ftflag_edtGUI(' num2str(ftscr_cntSCAgbl) '),''value'');',...
     'if(ftFSaggrpcntVECgbl(ftFSaggrtypeSCAgbl)), ftaskpra; end'];
   ftFSpp5_=ftFSaggrtypeSCAgbl;
   ftFSpp6_=[1:size(ftFSaggrtypenMATgbl,1)]';
   ftpupH_3=ftscrpup(ftciGUI,ftFSaggrtypenMATgbl,ftFSpp3_,ftFSpp4_,ftFSpp5_,ftFSpp6_,ftscr_cntSCAgbl);
   clear ftFSpp3_;

   ftFSpp1_='Def'; 
   ftFSpp3_=[0.375 0.25 0.05 0.09];
   fttxtH_3=ftscrtxt(ftciGUI,ftFSpp1_,ftFSpp3_);
   clear ftFSpp1_ ftFSpp3_ ftFSpp4_;

   ftscr_cntSCAgbl = ftscr_cntSCAgbl+1;
   %ftFSpp3_=[0.425 0.25 0.2 0.1];
   ftFSpp3_=[0.425 0.24 0.2 0.1];
   ftFSpp4_=['ftFSdeftypeSCAgbl=get(ftflag_edtGUI(' num2str(ftscr_cntSCAgbl) '),''value'');',...
     'if(ftFSdefpcntVECgbl(ftFSdeftypeSCAgbl)), ftaskprd; end'];
   ftFSpp5_=ftFSdeftypeSCAgbl;
   ftFSpp6_=[1:size(ftFSdeftypenMATgbl,1)]';
   ftpupH_2=ftscrpup(ftciGUI,ftFSdeftypenMATgbl,ftFSpp3_,ftFSpp4_,ftFSpp5_,ftFSpp6_,ftscr_cntSCAgbl);
   clear ftFSpp3_;

%=====================
% FS-Output Block
%=====================
dy=0.28;

ftFSpp1_='FS-Output Block';
ftFSpp2_=[' '];
ftFSpp3_= [0.7 0.69 0.96 0.2 0.07 0.001];
ftscrblk(ftciGUI,ftFSpp1_,ftFSpp2_,ftFSpp3_);
clear ftFSpp1_ ftFSpp2_ ftFSpp3_;

 ftFSpp1_='Enter # of Outputs';
 ftFSpp3_=[0.70 0.51 0.2 0.1];
 ftscrtxt(ftciGUI,ftFSpp1_,ftFSpp3_);
 clear ftFSpp1_ ftFSpp3_;

 ftscr_cntSCAgbl = ftscr_cntSCAgbl+1;
 ftFSpp1_=num2str(ftFSNo_outCNTgbl);
 ftFSpp3_=[0.91 0.51 0.04 0.1];
 ftFSpp4_=['ftFSNo_outCNTgbl=str2num(get(ftflag_edtGUI(' num2str(ftscr_cntSCAgbl) '),''string'')); '];
 ftscredt(ftciGUI,ftFSpp1_,ftFSpp3_,ftFSpp4_,ftscr_cntSCAgbl);
 clear ftFSpp1_ ftFSpp3_ ftFSpp4_;

p_out_11='Variable Definition';
p_out_12='Linguistic Var Defn';

p_out_31=[0.70 0.38 0.25 0.1];
p_out_32=[0.70 0.25 0.25 0.1];

ftFSpp4_='ftfs2(2);';
ftscrpb(ftciGUI,p_out_11,p_out_31,ftFSpp4_);
clear ftFSpp4_

   if isempty(ftFSNo_outCNTgbl) == 0 
     ftFSpp4_='ftFSvarCNTgbl=1; ftfs3(2);';
     ftpbH_1=ftscrpb(ftciGUI,p_out_12,p_out_32,ftFSpp4_);
   else
     ftpbH_4=ftscrtxt(ftciGUI,p_out_12,p_out_32);
   end
   clear ftFSpp4_ p_out_12 p_out_32 p_out_11 p_out_31

%=====================
% Back, quit, next
%=====================

ftscrpb(ftciGUI,'Rules >>',[0.45 0.025 0.1 0.1],'ftfswsve; ftfsrul1');
ftscrpb(ftciGUI,'View',[0.76 0.9 0.1 0.1],'ftfsdisp');
ftscrpb(ftciGUI,'Run/Sim',[0.87 0.9 0.1 0.1],'ftfsrun(2);');

if ftFSfuztypeSCAgbl==2
	set(fttxtH_1,'visible','off');
	set(fttxtH_2,'visible','off');	
	set(fttxtH_3,'visible','off');
	set(ftpupH_1,'visible','off');
	set(ftpupH_2,'visible','off');
	set(ftpupH_3,'visible','off');
	if exist('ftpbH_4'), set(ftpbH_4,'visible','off'), end;
	if exist('ftpbH_1'), set(ftpbH_1,'visible','off'), end;
end
%
% end ftfs1.m
%

