% =================================================================
% ftfsask.m
% =================================================================
%                        FlexTool(FS) for Matlab                          
%                           Copyright (c) 1997                               
%                   Flexible Intelligence Group (FIG)       	             
%            P. O. Box 861477, Tuscaloosa, AL 35486-0013, USA.            
%                              07/02/1996                                  
% =================================================================
% View | Edit FS Parameters
%

function ftfsask(CHOICE_, ftfs2_flag, rfrom_,cfrom_)

global ftscr_cntSCAgbl ftflag_edtGUI
global ftFigPos_smallVECgbl 
global ftNNconvSCAgbl

save_scr_cnt_=ftscr_cntSCAgbl;
if nargin < 2, pp4_=' '; end;

if CHOICE_==1
 TEXT_='lr1m';
elseif CHOICE_==2
 if     ftNNconvSCAgbl == 1
    TEXT_='#oep';
 elseif ftNNconvSCAgbl == 2
   TEXT_='erth';
 elseif ftNNconvSCAgbl == 3
   TEXT_='vald';
 end
elseif CHOICE_==3 
 if     ftNNh_layerSCAgbl == 1
    TEXT_='hln1';
 elseif ftNNh_layerSCAgbl == 2
   TEXT_='hln2';
 elseif ftNNh_layerSCAgbl == 3
   TEXT_='hln3';
 end
elseif CHOICE_==4
 TEXT_='rndw';
%elseif CHOICE_==5 % Special (Lean)
% TEXT_='lean';
elseif CHOICE_==6 % Base Set
 TEXT_='base';
elseif CHOICE_==7 % Beta for error
 TEXT_='erbt';
elseif CHOICE_==8 % Plot Options
 TEXT_='plot';
elseif CHOICE_==9 % New FS 
   TEXT_='newfs';
end

close_pp4_=['close;' pp4_];


if (TEXT_=='newfs') % New FS option

  ftFSaskGUI=ftfigure('ftFSaskGUI','FlexTool(FS)--New FS Option',ftFigPos_smallVECgbl,'on','none');

  pp2=[ ' This Option will let you create a "New FS" and will clear all the attributes',...
        ' of the current FS. Click Ok or Cancel.'];         
  
  pp3= [0.95 0.05 0.95 0.5 0.075 0.01];
  pp1='FlexTool(FS) Help on Options';
  ftscrhlp(ftFSaskGUI,pp1,pp2,pp3);

  ftscrpb(ftFSaskGUI,'Ok',[0.1 0.05 0.2 0.12],'load ft3fs_def; close; pause(0.1); close; ft3pak; ftfs1');
  ftscrpb(ftFSaskGUI,'Cancel',[0.7 0.05 0.2 0.12],'close');
end

%=====================
% Go back one screen
%=====================

ftscr_cntSCAgbl=save_scr_cnt_;

if (TEXT_~='newfs')
 %  ftscrpb(ftFSaskGUI,'Done',[0.4 0.05 0.2 0.12],close_pp4_);
    ftscrpb(ftFSaskGUI,'Done',[0.43 0.05 0.15 0.1],close_pp4_);
end

%
% end ftfsask.m
%
