%
% ftfsload.m
%
% =========================================================================  
%                          FlexTools(FS) for Matlab                          
%                             Copyright (c) 1995                               
%                       Flexible Intelligence Group (FIG)       	             
%                   P. O. Box 1477, Tuscaloosa, AL 35486, USA.            
%                                 06/05/1995                                  
% =========================================================================  
%
% Load previously saved data
%

global ftFSmax_rulesSCAgbl ftFSmax_LVSCAgbl ftFSmax_inSCAgbl ftFSmax_outSCAgbl
global ftFSbase_minSCAgbl ftFSbase_maxSCAgbl ftFSbase_resSCAgbl ftFSNo_stepsCNTgbl ftFSrbasisMATgbl ftFSbasisMATgbl ftFSbase_setVECgbl ftFS_inMATgbl
global ftFSNo_rulesCNTgbl ftFSNo_critCNTgbl ftFSNo_ilingCNTgbl ftFSNo_olingCNTgbl  
global ftFSilingVECgbl ftFSimaxVECgbl ftFSiminVECgbl ftFSiunitVECgbl ftFSinameVECgbl ftFSNo_inCNTgbl
global ftFSiLVlearnVECgbl ftFSiLVtypeVECgbl ftFSiLVnameVECgbl 
global ftFSolingVECgbl ftFSomaxVECgbl ftFSominVECgbl ftFSounitVECgbl ftFSonameVECgbl ftFSNo_outCNTgbl
global ftFSoLVlearnVECgbl ftFSoLVtypeVECgbl ftFSoLVnameVECgbl 
global ftFSrulelearnVECgbl ftFStypeSCAgbl ftFSfmfcntVECgbl ftFSfmfilenMATgbl ftFSfuncfilenMATgbl
global ftFSunivMATgbl ftFSlnameMATgbl ftFSincMATgbl ftFSinlMATgbl ftFSinrMATgbl ftFSoutcMATgbl ftFSoutlMATgbl 
global ftFSoutrMATgbl ftFSiparmMATgbl ftFSoparmMATgbl ftFSilrnMATgbl ftFSolrnMATgbl 
global ftFSfuztypeSCAgbl ftFSdisp1FLGgbl ftFSaggrtypeSCAgbl ftFSdeftypeSCAgbl ftFSimptypeSCAgbl ftFSfmfparmMATgbl ftFSaggrparmMATgbl
global ftFSdefparmMATgbl ftFSfmfSTRgbl ftFSimplicateSTRgbl ftFSaggregateSTRgbl ftFSdefuzSTRgbl
global ftFSFLGgbl ftFS2FLGgbl ftflag_edtGUI ftparm_edtGUI
global ftFSvarCNTgbl ftFSlingCNTgbl ftFSpfGUI ftFSruleCNTgbl
global ftFigPos_smallVECgbl 


[ftFSpfGUI funpath]=uigetfile('*.mat','FlexTool(FS): Load FUZZY SYSTEM Parameters. Use a .mat File',50,50);

if ftFSpfGUI~=0
 eval(['load ' funpath ftFSpfGUI]); close; ft3pak; ftfsmenu
 ftFSfuztypeSCAgbl=fstypes(1);
 ftFSaggrtypeSCAgbl=fstypes(2);
 ftFSdeftypeSCAgbl=fstypes(3);
 ftFSimptypeSCAgbl=fstypes(4);
 ftFSimplicateSTRgbl=fstypes(5);
 ftFSaggregateSTRgbl=fstypes(6);
else
 ftFSpfGUI='ftfuzzy.mat';
end

clear ftFSpp4_

%
% end ftfsload.m
%
