%
% FTfsmbar.m
%
% =========================================================================  
%                          FlexTools(FS) for Matlab                          
%                             Copyright (c) 1995                               
%                       Flexible Intelligence Group (FIG)       	             
%                   P. O. Box 1477, Tuscaloosa, AL 35486, USA.            
%                                 06/05/1995                                  
% =========================================================================  
%
% Displays FlexTool(FS) Menu bars
%

function ftFSlala_=ftfsmbar(ftFSjunk_)

global ftFSfuztypeSCAgbl fig_fs1 ftpbH_1 ftpupH_1 ftpupH_2 ftpupH_3 fttxtH_1 fttxtH_2 fttxtH_3 ftpbH_4
global ftFSFLGgbl ftFS2FLGgbl fuztitle ftFSfuzltypeSCAgbl
global ftFSbase_minSCAgbl ftFSbase_maxSCAgbl ftFSbase_diffSCAgbl ftFSbase_resSCAgbl ftFSbase_setVECgbl ftFSNo_stepsCNTgbl

if nargin<1
 %====================================
 % Menu Bar-FS Options 
 %====================================
 h1=uimenu(gcf,'Label','FS Type');
 h2=uimenu(gcf,'Label','Base Set');
 fthelp(gcf,'FS');

  h11=uimenu(h1,'Label','Fuzzy Controller (Regular)','Callback','ftFSfuztypeSCAgbl=1; ftFStypeSCAgbl=ftFSfuztypeSCAgbl; ftFSlala_=ftfsmbar(1); set(fig_fs1,''Name'',ftFSlala_); if (exist(''ftpbH_1'')), set(ftpbH_1,''Visible'',''on''), end; set(ftpupH_1,''Visible'',''on''); set(ftpupH_3,''Visible'',''on''); set(ftpupH_2,''Visible'',''on''); set(fttxtH_1,''Visible'',''on''); set(fttxtH_2,''Visible'',''on''); set(fttxtH_3,''Visible'',''on''); if exist(''ftpbH_4''), set(ftpbH_4,''Visible'',''on''), end;');
  h21=uimenu(h1,'Label','Fuzzy Controller (TSK)','Callback','ftFSfuztypeSCAgbl=2;ftFStypeSCAgbl=ftFSfuztypeSCAgbl;ftFSlala_=ftfsmbar(1); set(fig_fs1,''Name'',ftFSlala_); if (exist(''ftpbH_1'')), set(ftpbH_1,''Visible'',''off''), end; set(ftpupH_1,''Visible'',''off''); set(ftpupH_3,''Visible'',''off''); set(ftpupH_2,''Visible'',''off''); set(fttxtH_1,''Visible'',''off''); set(fttxtH_2,''Visible'',''off''); set(fttxtH_3,''Visible'',''off''); if exist(''ftpbH_4''), set(ftpbH_4,''Visible'',''off''), end;');
  h31=uimenu(h1,'Label','Fuzzy Decision Maker','Callback','ftFSfuztypeSCAgbl=3;ftFStypeSCAgbl=ftFSfuztypeSCAgbl;ftFSlala_=ftfsmbar(1); set(fig_fs1,''Name'',ftFSlala_); ftaskprq; if (exist(''ftpbH_1'')), set(ftpbH_1,''Visible'',''on''), end; set(ftpupH_1,''Visible'',''on''); set(ftpupH_3,''Visible'',''on''); set(ftpupH_2,''Visible'',''on''); set(fttxtH_1,''Visible'',''on''); set(fttxtH_2,''Visible'',''on''); set(fttxtH_3,''Visible'',''on''); if exist(''ftpbH_4''), set(ftpbH_4,''Visible'',''on''), end;');
  h41=uimenu(h1,'Label','Fuzzy Evaluator','Callback','ftFSfuztypeSCAgbl=4; ftFStypeSCAgbl=ftFSfuztypeSCAgbl;ftFSlala_=ftfsmbar(1); set(fig_fs1,''Name'',ftFSlala_); ftaskprq; if (exist(''ftpbH_1'')), set(ftpbH_1,''Visible'',''on''), end; set(ftpupH_1,''Visible'',''on''); set(ftpupH_3,''Visible'',''on''); set(ftpupH_2,''Visible'',''on''); set(fttxtH_1,''Visible'',''on''); set(fttxtH_2,''Visible'',''on''); set(fttxtH_3,''Visible'',''on''); if exist(''ftpbH_4''), set(ftpbH_4,''Visible'',''on''), end;');
  h51=uimenu(h1,'Label','Fuzzy Predictor','Callback','ftFSfuztypeSCAgbl=5;ftFStypeSCAgbl=ftFSfuztypeSCAgbl;ftFSlala_=ftfsmbar(1); set(fig_fs1,''Name'',ftFSlala_); if (exist(''ftpbH_1'')), set(ftpbH_1,''Visible'',''on''), end; set(ftpupH_1,''Visible'',''on''); set(ftpupH_3,''Visible'',''on''); set(ftpupH_2,''Visible'',''on''); set(fttxtH_1,''Visible'',''on''); set(fttxtH_2,''Visible'',''on''); set(fttxtH_3,''Visible'',''on''); if exist(''ftpbH_4''), set(ftpbH_4,''Visible'',''on''), end;');
  h61=uimenu(h1,'Label','Fuzzy Expert System','Callback','ftFSfuztypeSCAgbl=6;ftFStypeSCAgbl=ftFSfuztypeSCAgbl;ftFSlala_=ftfsmbar(1); set(fig_fs1,''Name'',ftFSlala_); if (exist(''ftpbH_1'')), set(ftpbH_1,''Visible'',''on''), end; set(ftpupH_1,''Visible'',''on''); set(ftpupH_3,''Visible'',''on''); set(ftpupH_2,''Visible'',''on''); set(fttxtH_1,''Visible'',''on''); set(fttxtH_2,''Visible'',''on''); set(fttxtH_3,''Visible'',''on''); if exist(''ftpbH_4''), set(ftpbH_4,''Visible'',''on''), end;');

  h12=uimenu(h2,'Label','<[-1 to 1]>','Callback','ftFSbase_minSCAgbl=-1;ftFSbase_maxSCAgbl=1; ftFSbase_diffSCAgbl=2; ftfsbase(0); ftFSNo_stepsCNTgbl=(ftFSbase_diffSCAgbl/ftFSbase_resSCAgbl)+1; ftFSbase_setVECgbl=[ftFSbase_minSCAgbl:ftFSbase_resSCAgbl:ftFSbase_maxSCAgbl];');
  h22=uimenu(h2,'Label',' [ 0 to 1] ','Callback','ftFSbase_minSCAgbl=0;ftFSbase_maxSCAgbl=1; ftFSbase_diffSCAgbl=1; ftfsbase(0);ftFSNo_stepsCNTgbl=(ftFSbase_diffSCAgbl/ftFSbase_resSCAgbl)+1; ftFSbase_setVECgbl=[ftFSbase_minSCAgbl:ftFSbase_resSCAgbl:ftFSbase_maxSCAgbl];');
  h32=uimenu(h2,'Label',' [ Other ] ','Callback','ftfsbase(3); ftFSbase_diffSCAgbl=ftFSbase_maxSCAgbl-ftFSbase_minSCAgbl; ftFSNo_stepsCNTgbl=(ftFSbase_diffSCAgbl/ftFSbase_resSCAgbl)+1; ftFSbase_setVECgbl=[ftFSbase_minSCAgbl:ftFSbase_resSCAgbl:ftFSbase_maxSCAgbl];');
else
 ftFSlala_=num2str(fuztitle(ftFSfuztypeSCAgbl,:));
 if(ftFSfuzltypeSCAgbl)
        ftFSlala_=['FlexTool ' ftFSlala_ '(Multi)--Build'];
 else
        ftFSlala_=['FlexTool ' ftFSlala_ '--Build'];
 end % if
end

%
% END ftfsmbar.m
%
