%
% ftfsmenu.m
%
% =========================================================================  
%                          FlexTools(FS) for Matlab                          
%                             Copyright (c) 1995                               
%                       Flexible Intelligence Group (FIG)       	             
%                   P. O. Box 1477, Tuscaloosa, AL 35486, USA.            
%                                 06/05/1995                                  
% =========================================================================  
%
% FlexTool(FS) Main GUI Menu
%

global ftFSvarCNTgbl ftFSlingCNTgbl ftFSruleCNTgbl ftFS2FLGgbl 
global ftFSmax_rulesSCAgbl ftFSmax_LVSCAgbl ftFSmax_inSCAgbl ftFSmax_outSCAgbl ftFSmaxsVECgbl ftFSminsVECgbl
global ftFSbase_minSCAgbl ftFSbase_maxSCAgbl ftFSbase_diffSCAgbl ftFSbase_resSCAgbl ftFSbase_setVECgbl ftFSNo_stepsCNTgbl 
global ftFSrbasisMATgbl ftFSbasisMATgbl ftFS_inMATgbl ftFSqual_critMATgbl
global ftFSNo_rulesCNTgbl ftFSNo_critCNTgbl ftFSNo_ilingCNTgbl ftFSNo_olingCNTgbl ftFSaNo_critCNTgbl ftFSNo_altCNTgbl
global ftFSilingVECgbl ftFSimaxVECgbl ftFSiminVECgbl ftFSiunitVECgbl ftFSinameVECgbl ftFSNo_inCNTgbl
global ftFSiLVlearnVECgbl ftFSiLVtypeVECgbl ftFSiLVnameVECgbl 
global ftFSolingVECgbl ftFSomaxVECgbl ftFSominVECgbl ftFSounitVECgbl ftFSonameVECgbl ftFSNo_outCNTgbl
global ftFSoLVlearnVECgbl ftFSoLVtypeVECgbl ftFSoLVnameVECgbl ftFSrulelearnVECgbl ftioLVtypeVECgbl
global ftFSunivMATgbl ftFSlnameMATgbl ftFSincMATgbl ftFSinlMATgbl ftFSinrMATgbl ftFSoutcMATgbl ftFSoutlMATgbl 
global ftFSoutrMATgbl ftFSiparmMATgbl ftFSoparmMATgbl ftFSilrnMATgbl ftFSolrnMATgbl mat_parm
global ftFSdisp1FLGgbl ftFSFLGgbl ftflag_edtGUI ftparm_edtGUI
global ftSlide_aGUI ftSlide_bGUI ftSlide_cGUI ftSlide_dGUI ftFt_PlotGUI ftxmingbl ftFSxmaxgbl ftFSdelxgbl
global ftFSvarCNTgbl ftFSlingCNTgbl ftFSbprmSCAgbl
global ftview_countGUI ftview_stringGUI ftFSfig_fsviewGUI
global ftcolor_bc1VECgbl ftcolor_bc2VECgbl ftcolor_fc1VECgbl
global ftFSfmfilenMATgbl ftFSfmfcntVECgbl ftFSimpnameMATgbl ftFSaggrfilenMATgbl ftFSdefuznameMATgbl
global ftFSaggrparmnMATgbl ftFSdefpfilnMATgbl ftFStskbMATgbl
global ftFSfmftypenMATgbl ftFSimptypenMATgbl ftFSaggrtypenMATgbl ftFSdeftypenMATgbl
global fuztitle ftFSfuncfilenMATgbl fig_ftfs
global ftFSdfmfparmMATgbl ftFSdaggrparmMATgbl ftFSddefparmMATgbl ftFSfmfparmMATgbl ftFSaggrparmMATgbl ftFSdefparmMATgbl 
global ftFSaggrpcntVECgbl ftFSdefpcntVECgbl
global ftFSfuztypeSCAgbl ftFSfuzltypeSCAgbl ftFSaggrtypeSCAgbl ftFSdeftypeSCAgbl ftFSimptypeSCAgbl 
global ftFSfmfSTRgbl ftFSimplicateSTRgbl ftFSaggregateSTRgbl ftFSdefuzSTRgbl ftscr_cntSCAgbl fig_fs4
global ftFSyinitnameSTRgbl ftFSyobjname1STRgbl ftFSyobjname2STRgbl ftFSyouriterSTRgbl
global ftFSaincMATgbl ftFSainrMATgbl ftFSainlMATgbl ftFSaoutcMATgbl ftFSaoutrMATgbl ftFSaoutlMATgbl ftFSparmMATgbl
global ftFSsum_lingVECgbl ftFSfig_fsbaseGUI fig_fs22 ftFSN_totalCNTgbl ftFSpfGUI
global ftFigPos_bigVECgbl ftFigPos_medVECgbl ftFigPos_smallVECgbl ftXscaleVECgbl ftYscaleVECgbl ftXYscaleVECgbl
global ftFigPos_VsmallVECgbl
global ftFSallaltMATgbl ftFSactidxVECgbl ftFSaltidxVECgbl ftFSscoresMATgbl
global ftFSTSKTypeNameMATgbl ftFSTSKTypeVECgbl
global ftEFMlrnoptSCAgbl ftpbrul2H_VECgbl

%*********************************************************************
global ftFSdefmodelMATgbl ftFSdeflearnoptMATgbl
global ftFSmodeltypeSCAgbl ftFSlearntypeSCAgbl
global ftFSdefmodelVECgbl ftFSdeflearnVECgbl


%********************************************************************

%==============
global ftGFgalearnMATgbl;
global ftFSpp_lrnMATgbl
%==============



% I added this line
global ftFSimptypenMATgbl ftFSaggrtypenMATgbl ftFSdeftypenMATgbl

%
% Define screen scales. This will be different for different machines
%

ftscreen;	%edit this .m file to change scale values.

%--------------------------------------------------------------------
  %ftefmlrn(1,0,0);
  %ftefmlrn(0,2,0);
  %ftefmlrn(0,3,0);
  %ftefmlrn(0,10,0);
  
  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
  ftef_def;
  ftefmlrn(1,0,0);
  ftefmlrn(0,2,0);
  ftefmlrn(0,3,0);
  ftefmlrn(0,10,0);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

if isempty(ftFS2FLGgbl) 
  if exist('ftfs_def1.mat')==2
     load ftfs_def1;
   else
      ftfs_def1;
      load ftfs_def1;  % TongSay
   end
else
end



if exist('ftFS2FLGgbl')==0, ftFS2FLGgbl=0; end


Ftfs1_1;


%----------------------------------------------------------------------------------------

%if isempty(ftFS2FLGgbl) 
%  if exist('ftfs_def1.mat')==2
%     load ftfs_def1;
%   else
%      ftfs_def1;
%      load ftfs_def1;  
%   end
%else
%end


%if exist('ftFS2FLGgbl')==0, ftFS2FLGgbl=0; end


%Ftfs1_1;


% END ftfsmenu.m
%
