%
% FTfsrul2.m
%
% =========================================================================  
%                          FlexTools(FS) for Matlab                          
%                             Copyright (c) 1995                               
%                       Flexible Intelligence Group (FIG)       	             
%                   P. O. Box 1477, Tuscaloosa, AL 35486, USA.            
%                                 06/05/1995                                  
% =========================================================================  
%
% FlexTool(FS) Rule definition GUI--Part 2.
%

function ftfsrul2(fig_fs22,var_no,k,idisp,i,ftFSpflag_,ftFSjunk_)

global ftFSmax_rulesSCAgbl ftFSmax_LVSCAgbl ftFSmax_inSCAgbl ftFSmax_outSCAgbl
global ftFSbase_minSCAgbl ftFSbase_maxSCAgbl ftFSbase_resSCAgbl ftFSNo_stepsCNTgbl ftFSrbasisMATgbl ftFSbasisMATgbl ftFSbase_setVECgbl ftFS_inMATgbl
global ftFSNo_rulesCNTgbl ftFSNo_critCNTgbl ftFSNo_ilingCNTgbl ftFSNo_olingCNTgbl  
global ftFSilingVECgbl ftFSimaxVECgbl ftFSiminVECgbl ftFSiunitVECgbl ftFSinameVECgbl ftFSNo_inCNTgbl
global ftFSiLVlearnVECgbl ftFSiLVtypeVECgbl ftFSiLVnameVECgbl 
global ftFSolingVECgbl ftFSomaxVECgbl ftFSominVECgbl ftFSounitVECgbl ftFSonameVECgbl ftFSNo_outCNTgbl
global ftFSoLVlearnVECgbl ftFSoLVtypeVECgbl ftFSoLVnameVECgbl 
global ftFSrulelearnVECgbl
global ftFSunivMATgbl ftFSlnameMATgbl ftFSincMATgbl ftFSinlMATgbl ftFSinrMATgbl ftFSoutcMATgbl ftFSoutlMATgbl 
global ftFSoutrMATgbl ftFSiparmMATgbl ftFSoparmMATgbl ftFSilrnMATgbl ftFSolrnMATgbl
global ftFStypeSCAgbl ftFSfuztypeSCAgbl ftFSdisp1FLGgbl ftFSaggrtypeSCAgbl ftFSdeftypeSCAgbl ftFSimptypeSCAgbl ftFSfmfparmMATgbl ftFSaggrparmMATgbl
global ftFSdefparmMATgbl ftFSfmfSTRgbl ftFSimplicateSTRgbl ftFSaggregateSTRgbl ftFSdefuzSTRgbl
global ftFSFLGgbl ftFS2FLGgbl ftflag_edtGUI ftparm_edtGUI
global ftFSvarCNTgbl ftFSlingCNTgbl ftFSruleCNTgbl
global ftpbrul2H_VECgbl

x0=0.6; y0=0.675; dy=0.05; dx=0; eps=0.02;
dx_no=0.065; dx_name=0.18; dx_lvname=0.125; dx_learn=0.15; dx_no1=0.1;

if ftFSpflag_==2 & ftFSfuztypeSCAgbl==2 % IF TSK Outputs

  ftFSpp4_=['ftfsrul3(' num2str(var_no) ');'];

  if (ftpbrul2H_VECgbl(i)~=0) % The pushbutton already exists

    set(ftpbrul2H_VECgbl(i),'callback',ftFSpp4_);

  else % need to create the pushbutton
    ftpbrul2H_VECgbl(i)= uicontrol(fig_fs22, ...
   'Style','push', ...
   'Units','normalized', ...
   'Position',[x0 y0-idisp*0.06 dx_name dy], ...
   'BackgroundColor',[0.5 0.5 0.5], ...
   'ForegroundColor',[1 1 1], ...
   'Interruptible','off',...
   'String','TSK Constants', ...
   'callback',ftFSpp4_);
   %ftscrpb(fig_fs22,'TSK Constants',[x0 y0-idisp*0.06 dx_name dy],ftFSpp4_);
  end

else

 k=k+1;
 if nargin<7, delete(ftflag_edtGUI(k)); end;

 i1=(var_no-2)*ftFSmax_LVSCAgbl+1;
 ftFSpp3_=[x0 y0-idisp*0.06 dx_name dy];

 if(ftFSpflag_==1)
  if(i1<1)
	i1=1; i2=1;
	ftFSpp1_= ['            '];
  else
     i2 = i1+ftFSilingVECgbl(var_no-1)-1;
     ftFSpp1_= [ftFSiLVnameVECgbl((i1:i2),:)];
  end; % if
 
  ftFSpp4_=['ftFSinlMATgbl(' num2str(ftFSruleCNTgbl) ',' num2str(i) ')=get(ftflag_edtGUI(' num2str(k) '),''value'');'];
  if ftFSinlMATgbl(ftFSruleCNTgbl,i)==0
     ftFSinlMATgbl(ftFSruleCNTgbl,i)=1;
  end   
  ftFSpp5_=ftFSinlMATgbl(ftFSruleCNTgbl,i);
  
  ftFSpp6_=[i1:i2]';
 else
  if(i1<1)
	i1=1; i2=1;
	ftFSpp1_= ['            '];
  else
     i2 = i1+ftFSolingVECgbl(var_no-1)-1;
  	  ftFSpp1_= [ftFSoLVnameVECgbl((i1:i2),:)];
  end; % if
  ftFSpp4_=['ftFSoutlMATgbl(' num2str(ftFSruleCNTgbl) ',' num2str(i) ')=get(ftflag_edtGUI(' num2str(k) '),''value'');'];
  if ftFSoutlMATgbl(ftFSruleCNTgbl,i)==0
     ftFSoutlMATgbl(ftFSruleCNTgbl,i)=1;
  end   
  ftFSpp5_=ftFSoutlMATgbl(ftFSruleCNTgbl,i);
  
  ftFSpp6_=[i1:i2]';
end; % if
 ftscrpup(fig_fs22,ftFSpp1_,ftFSpp3_,ftFSpp4_,ftFSpp5_,ftFSpp6_,k);
 clear ftFSpp1_ ftFSpp3_ ftFSpp4_ ftFSpp5_ ftFSpp6_
end

%
% end ftfsrul2.m
%


