% =================================================================
% ftnnload.m
% =================================================================
%                        FlexTool(NN) for Matlab                          
%                           Copyright (c) 1996                               
%                   Flexible Intelligence Group (FIG)       	             
%            P. O. Box 861477, Tuscaloosa, AL 35486-0013, USA.            
%                              06/05/1996                                  
% =================================================================
% Load previously saved data
%

function ftnnload

global ftNNasetFLGgbl ftNNfnflagSCAgbl ftnndef_flag 
global ftNNlrSCAgbl ftNNmrSCAgbl ftNNtitleVECgbl
global ftNNn_epSCAgbl ftNNe_thSCAgbl ftNNv_pcntSCAgbl 
global ftNNbase_resSCAgbl ftNNbase_minSCAgbl ftNNbase_maxSCAgbl 
global ftNNtypeSCAgbl ftNNspecialSCAgbl ftNNlearnSCAgbl 
global ftNNer_typeSCAgbl ftNNer_betaSCAgbl ftNNconvSCAgbl 
global ftNNno_inSCAgbl ftNNno_hidSCAgbl ftNNno_outSCAgbl ftNNno_totSCAgbl
global ftNNno_in_userSCAgbl ftNNh_layerSCAgbl ftNNno_hidVECgbl 
global ftNNassocMATgbl ftNNassnCNTgbl ftNNassocOPTgbl
global ftNNweightMATgbl ftNNweightOPTgbl
global max_in max_hidden max_out 
global ftNNn_iparmVECgbl ftNNn_hparmVECgbl ftNNn_oparmVECgbl
global ftNNn_imaxVECgbl ftNNn_iminVECgbl ftNNn_itypeVECgbl ftNNn_inameVECgbl
global ftNNn_hmaxVECgbl ftNNn_hminVECgbl ftNNn_htypeVECgbl ftNNn_hnameVECgbl
global ftNNn_omaxVECgbl ftNNn_ominVECgbl ftNNn_otypeVECgbl ftNNn_onameVECgbl
global ftNNbase_maxSCAgbl ftNNbase_minSCAgbl ftNNbase_resSCAgbl
global ftNNn_iparmVECgbl ftNNn_hparmVECgbl ftNNn_oparmVECgbl
global ftNNv_stringMATgbl ftNNv_countSCAgbl
global ftNNt_errorVECgbl ftNNv_errorVECgbl
global ftNNrbf_meanMATgbl ftNNrbf_sdMATgbl

[ftNNpf_, ftNNfunpath_]=uigetfile('*.mat','FlexTool(NN): Load NEURAL SYSTEM Parameters. Use a .mat File',50,50);
if ftNNpf_~=0
 eval(['load ' ftNNfunpath_ ftNNpf_]); close; ft3pak; ftnnmenu;
else
 ftNNpf_='ftneural.mat';
end

%
% end ftnnload.m
%
