% =================================================================
% ftnnmbar.m
% =================================================================
%                        FlexTool(NN) for Matlab                          
%                           Copyright (c) 1996                               
%                   Flexible Intelligence Group (FIG)       	             
%            P. O. Box 861477, Tuscaloosa, AL 35486-0013, USA.            
%                              06/05/1996                                  
% =================================================================
% Menu Bar

function ftnnmbar(junk)

global ftNNtypeSCAgbl ftNNpp_typeMATgbl ftNNfig_1

if nargin < 1
 %====================================
 % Menu Bar-NN Options 
 %====================================
 h2=uimenu(gcf,'Label','NN File');
 h20=uimenu(h2,'Label','New NN','Callback','ftnnask(9)');
 h23=uimenu(h2,'Label','Load NN','Callback','ftnnload');
 h22=uimenu(h2,'Label','Save NN','Callback','ftnnsave');
 h21=uimenu(h2,'Label','Warm NN','Callback','ftnnwarm','separator','on');
 h24=uimenu(h2,'Label','Exit FlexTool','Callback','ftqtmenu','separator','on');
 
  
h1=uimenu(gcf,'Label','NN Type');
 for i=1:4
%    h1i=uimenu(h1,'Label',ftNNpp_typeMATgbl(i,:),'Callback',['ftNNtypeSCAgbl=' num2str(i) '; ftnnmbar(1);']);
     h1i=uimenu(h1,'Label',ftNNpp_typeMATgbl(i,:),'Callback',['ftNNtypeSCAgbl=' num2str(i) '; ftnn1(''1''); ftnn1;']);

 end
 for i=5
%    h1i=uimenu(h1,'Label',ftNNpp_typeMATgbl(i,:),'Separator','on','Callback',['ftNNtypeSCAgbl=' num2str(i) '; ftnnmbar(1);']);
     h1i=uimenu(h1,'Label',ftNNpp_typeMATgbl(i,:),'Separator','on','Callback',['ftNNtypeSCAgbl=' num2str(i) '; ftnn1(''1''); ftnn1;']);

 end
 for i=6
%   h1i=uimenu(h1,'Label',ftNNpp_typeMATgbl(i,:),'Callback',['ftNNtypeSCAgbl=' num2str(i) '; ftnnmbar(1);']);
    h1i=uimenu(h1,'Label',ftNNpp_typeMATgbl(i,:),'Callback',['ftNNtypeSCAgbl=' num2str(i) '; ftnn1(''1''); ftnn1;']);

 end
 for i=7
  %  h1i=uimenu(h1,'Label',ftNNpp_typeMATgbl(i,:),'Separator','on','Callback',['ftNNtypeSCAgbl=' num2str(i) '; ftnnmbar(1);']);
    h1i=uimenu(h1,'Label',ftNNpp_typeMATgbl(i,:),'Separator','on','Callback',['ftNNtypeSCAgbl=' num2str(i) ';ftnn1(''1''); ftnn1;']);

 end
 for i=8:10
   % h1i=uimenu(h1,'Label',ftNNpp_typeMATgbl(i,:),'Callback',['ftNNtypeSCAgbl=' num2str(i) '; ftnnmbar(1);']);
    h1i=uimenu(h1,'Label',ftNNpp_typeMATgbl(i,:),'Callback',['ftNNtypeSCAgbl=' num2str(i) '; ftnn1(''1''); ftnn1;']);

 end
 for i=11
 %   h1i=uimenu(h1,'Label',ftNNpp_typeMATgbl(i,:),'Separator','on','Callback',['ftNNtypeSCAgbl=' num2str(i) '; ftnnmbar(1);']);
     h1i=uimenu(h1,'Label',ftNNpp_typeMATgbl(i,:),'Separator','on','Callback',['ftNNtypeSCAgbl=' num2str(i) ' ftnn1(''1''); ftnn1;']);

 end
 for i=12:13
%    h1i=uimenu(h1,'Label',ftNNpp_typeMATgbl(i,:),'Callback',['ftNNtypeSCAgbl=' num2str(i) '; ftnnmbar(1);']);
     h1i=uimenu(h1,'Label',ftNNpp_typeMATgbl(i,:),'Callback',['ftNNtypeSCAgbl=' num2str(i) '; ftnn1(''1''); ftnn1;']);

 end
 for i=14
    %    h1i=uimenu(h1,'Label',ftNNpp_typeMATgbl(i,:),'Separator','on','Callback',['ftNNtypeSCAgbl=' num2str(i) '; ftnnmbar(1);']);
     h1i=uimenu(h1,'Label',ftNNpp_typeMATgbl(i,:),'Separator','on','Callback',['ftNNtypeSCAgbl=' num2str(i) '; ftnn1(''1''); ftnn1;']);

 end



 h3=uimenu(gcf,'Label','NN Options');
 h41=uimenu(h3,'Label','Train w/ Workspace Data','Callback','ftnnsave(''warm''); ftnnrun(2);');
 h42=uimenu(h3,'Label','Train w/ a  ".m"  File','Callback','ftnnsave(''warm''); ftnnrun(1);');
 h43=uimenu(h3,'Label','Simulate NN','Callback','ftnnsave(''warm''); ftnnrun(3);','Separator','on');
 h31=uimenu(h3,'Label','View NN','Callback','ftnndisp','Separator','on');
 h32=uimenu(h3,'Label','View Weights','Callback','ftnnwts(1,1,1)');
 h33=uimenu(h3,'Label','View Associations','Callback','ftnnasn(1,1,1)');

 % h5=uimenu(gcf,'Label','Base Set');
 % fthelp(gcf,'NN');
 
 % h51=uimenu(h5,'Label','<[-1 to 1]>','Callback','ftNNbase_minSCAgbl=-1;ftNNbase_maxSCAgbl=1; ftNNbase_diffSCAgbl=2;ftNNno_stepsSCAgbl=(ftNNbase_diffSCAgbl/ftNNbase_resSCAgbl)+1; ftNNbase_setVECgbl=[ftNNbase_minSCAgbl:ftNNbase_resSCAgbl:ftNNbase_maxSCAgbl];');
 % h52=uimenu(h5,'Label',' [ 0 to 1] ','Callback','ftNNbase_minSCAgbl=0;ftNNbase_maxSCAgbl=1; ftNNbase_diffSCAgbl=1; ftNNno_stepsSCAgbl=(ftNNbase_diffSCAgbl/ftNNbase_resSCAgbl)+1; ftNNbase_setVECgbl=[ftNNbase_minSCAgbl:ftNNbase_resSCAgbl:ftNNbase_maxSCAgbl];');
 % h53=uimenu(h5,'Label',' [ Other ] ','Callback','ftnnask(6); ftNNbase_diffSCAgbl=ftNNbase_maxSCAgbl-ftNNbase_minSCAgbl; ftNNno_stepsSCAgbl=(ftNNbase_diffSCAgbl/ftNNbase_resSCAgbl)+1; ftNNbase_setVECgbl=[ftNNbase_minSCAgbl:ftNNbase_resSCAgbl:ftNNbase_maxSCAgbl];');

else

 if junk==1
   close;
   ftnn1('1');
   ftnn1;
 elseif junk==2
   close;
   ftnn1('1');
   ftnn1;
 end

end % if

%====================================================================================================
% END FTnnmbar

