% =================================================================
% ftnnmenu.m
% =================================================================
%                        FlexTool(NN) for Matlab                          
%                           Copyright (c) 1996                               
%                   Flexible Intelligence Group (FIG)       	             
%            P. O. Box 861477, Tuscaloosa, AL 35486-0013, USA.            
%                              06/05/1996                                  
% =================================================================
% FlexTool(NN) Main GUI Menu
%
% Define screen scales. This will be different for different machines
%

%global for all GUIs
global ftNNrnGUIgbl ftNNevlGUIgbl ftNNbiasFLGgbl 
global ftTxtHndle1_ ftTxtHndle2_ ftNNplotFLGgbl

global ftcolor_bc1VECgbl ftcolor_bc2VECgbl 
global ftcolor_fc1VECgbl ftcolor_fc2VECgbl 
global ftXYscaleVECgbl
global ftFigPos_bigVECgbl ftFigPos_mediumVECgbl 
global ftFigPos_smallVECgbl ftFigPos_VsmallVECgbl
global ftNNenn_1GUI ftNNenn_2GUI ftNNenn_3GUI ftNNenn_4GUI

global ftNNpp_typeMATgbl
global ftscr_cntSCAgbl ftflag_edtGUI
global ftNNtitleVECgbl ftNNtypeSCAgbl
global ftNNspecialSCAgbl ftNNpp_specMATgbl
global ftNNfn_errMATgbl ftNNer_typeSCAgbl ftNNpp_ertypeMATgbl
global ftNNer_betaSCAgbl
global ftNNlearnSCAgbl ftNNpp_lrnMATgbl
global ftNNconvSCAgbl ftNNpp_cnvMATgbl ftNNpp_actMATgbl
global ftNNno_inSCAgbl ftNNno_in_userSCAgbl ftNNno_hidSCAgbl ftNNno_outSCAgbl ftNNno_totSCAgbl
global ftNNh_layerSCAgbl ftNNpp_hlayerMATgbl ftNNno_hidVECgbl
global ftNNlrSCAgbl ftNNmrSCAgbl
global ftNNn_epSCAgbl ftNNe_thSCAgbl
global ftNNv_pcntSCAgbl ftNNasetFLGgbl
global ftNNassocMATgbl    ftNNassnCNTgbl   ftNNassocOPTgbl
global ftNNweightMATgbl  ftNNweightOPTgbl 
global ftNNwrnd_pcntSCAgbl ftNNfn_actMATgbl

global ftNNn_inameVECgbl ftNNn_imaxVECgbl ftNNn_iminVECgbl ftNNn_itypeVECgbl
global ftNNn_hnameVECgbl ftNNn_hmaxVECgbl ftNNn_hminVECgbl ftNNn_htypeVECgbl
global ftNNn_onameVECgbl ftNNn_omaxVECgbl ftNNn_ominVECgbl ftNNn_otypeVECgbl

global ftNNbase_maxSCAgbl ftNNbase_minSCAgbl ftNNbase_resSCAgbl ftNNact_parmMATgbl

global ftNNn_iparmVECgbl ftNNn_hparmVECgbl ftNNn_oparmVECgbl
global ftNNtrainFLGgbl ftNNsimFLGgbl ftNNst_flagSCAgbl
global ftNNv_stringMATgbl ftNNv_countSCAgbl ftNNpl_freqSCAgbl

global nn_in nn_desired nn_out nn_sim_in
global ftNNt_errorVECgbl ftNNv_errorVECgbl
global ftNNrbf_meanMATgbl ftNNrbf_sdMATgbl
global ftbprmSTRgbl

if exist('ftNNfnflagSCAgbl')==0,load ft3nn_def; end

ftNNpl_freqSCAgbl=5; %Plot frequency
ftNNplotFLGgbl=1; %Plot flag

ftnn1(1);
ftnn1;

%
% END ftnnmenu.m
%
