%
% FTscrpup
%
% =========================================================================  
%                          FlexTool( ) for Matlab                          
%                             Copyright (c) 1995                               
%                       Flexible Intelligence Group (FIG)       	             
%                   P. O. Box 1477, Tuscaloosa, AL 35486, USA.            
%                                 06/05/1995                                  
% =========================================================================  
%
% General purpose GUI routine
%

%function outval=ftscrpup(fignumber,pp1,pp3,pp4,pp5,pp6,k);
function outval=ftscrpup(fignumber,pp1,pp3,pp4,pp5,pp6,k,pp7);

global ftflag_edtGUI

outval=0;
if nargin < 7, k=100;end
if nargin < 6, pp6=1; end
if nargin < 5, pp5=[' ']; end

if nargin <= 7, pp7='on'; end


textlabel=pp1;
text_loc=pp3;

ftflag_edtGUI(k)=uicontrol(fignumber, ...
	        'Style','popup', ...
           'Units','normalized', ...
           'Position',text_loc, ...
           'BackgroundColor',[.5 .5 .5], ...
           'ForegroundColor',[1 1 1], ...
           'String',textlabel, ...
           'Value',pp5,...
           'UserData',pp6,...
           'callback',pp4,...
           'enable', pp7);

outval=ftflag_edtGUI(k);

%
% END FTscrpup
%
