%
% FTscrtxt
%
% =========================================================================  
%                          FlexTool( ) for Matlab                          
%                             Copyright (c) 1995                               
%                       Flexible Intelligence Group (FIG)       	             
%                   P. O. Box 1477, Tuscaloosa, AL 35486, USA.            
%                                 06/05/1995                                  
% =========================================================================  
%
% General purpose GUI routine
%

function TxtHndle_=ftscrtxt(fignumber,p1,p3,Fcolor_);
global ftcolor_bc1VECgbl
global ftcolor_fc1VECgbl

textlabel=p1;
text_loc=p3;

if nargin < 4
 Fcolor_=ftcolor_fc1VECgbl;
end

TxtHndle_=uicontrol(fignumber, ...
	     'Style','text', ...
        'Units','normalized', ...
        'Position',text_loc, ...
        'BackgroundColor',ftcolor_bc1VECgbl, ...
        'ForegroundColor',Fcolor_, ...
        'HorizontalAlignment','left',...
        'String',textlabel);
%
% END FTscrtxt
%
