%
% ftaskprq.m
%
% =========================================================================  
%                          FlexTools(FS) for Matlab                          
%                             Copyright (c) 1995                               
%                       Flexible Intelligence Group (FIG)       	             
%                   P. O. Box 1477, Tuscaloosa, AL 35486, USA.            
%                                 06/05/1995                                  
% =========================================================================  
%
% View | Edit qualifying criteria value for decision making 
% this is called only if your choice of fuzzy system is a decision maker
% or evaluator.
%

function ftaskprq

global ftFSaggrfilenMATgbl ftFSaggrparmnMATgbl ftFSaggrtypenMATgbl 
global ftFSaggrtypeSCAgbl ftFSaggrpcntVECgbl fuztitle ftFSfuncfilenMATgbl ftFSdaggrparmMATgbl ftFSaggrparmMATgbl ftflag_edtGUI
global ftscr_cntSCAgbl
global ftFigPos_bigVECgbl ftFigPos_medVECgbl ftFigPos_smallVECgbl ftXscaleVECgbl ftYscaleVECgbl ftXYscaleVECgbl
global ftFSNo_outCNTgbl ftFSqual_critMATgbl

fig_askprq=ftfigure('fig_askprq','FlexTool(FS)--Qualifying Criteria',ftFigPos_smallVECgbl,'on','none');

%=================
% Big Text Block
%=================

x0=0.05; y0=0.75; dy=0.1; dy1=0.15; dx=0.9; dx1=0.3; dx2=0.25; eps=0.02;
dx3=0.15;

if(ftFSNo_outCNTgbl>1)
	ftFSpp1_=['Enter Qualifying Score for decision as matrix in Work Space']; 
	ftFSpp3_=[x0 y0-2*dy dx dy1];
	ftscrtxt(fig_askprq,ftFSpp1_, ftFSpp3_);
else
	ftFSpp1_=['Enter Qualifying Score for the decision']; 
	ftFSpp3_=[x0 y0-2*dy dx dy1];
	ftscrtxt(fig_askprq,ftFSpp1_, ftFSpp3_);
	ftFSpp3_=[x0 y0 dx dy];
	clear ftFSpp1_ ftFSpp3_
	ftscr_cntSCAgbl = ftscr_cntSCAgbl + 1;
	ftFSpp3_=[x0+dx2+dx1+eps y0-4*dy dx3 dy];
	clear ftFSbprmSCAgbl
              if exist('ftFSqual_critMATgbl(1) ')
		ftFSbprmSCAgbl=num2str(ftFSqual_critMATgbl(1));
	else
		ftFSbprmSCAgbl='0.0';
	end
	ftFSpp4_=['ftFSqual_critMATgbl(1) = str2num(get(ftflag_edtGUI(' num2str(ftscr_cntSCAgbl) '),''string''));'];
	ftscredt(fig_askprq,ftFSbprmSCAgbl, ftFSpp3_, ftFSpp4_, ftscr_cntSCAgbl);
	clear ftFSpp4_
end; % if 
clear ftFSpp3_

%=====================
% Go back one screen
%=====================

ftscrpb(fig_askprq,'Done',[0.4 0.05 0.2 0.12],'close');

%
% end ftaskprq.m
%

