%
% FTeffbld.m
%
% =========================================================================  
%                          FlexTools(EFM) for Matlab                          
%                             Copyright (c) 1995                               
%                       Flexible Intelligence Group (FIG)       	             
%                   P. O. Box 1477, Tuscaloosa, AL 35486, USA.            
%                                 06/05/1995                                  
% =========================================================================  
%
% Build Fuzzy System
%

global ftEFMlrnoptSCAgbl ftentrymodeFLGgbl ftEFMfsinoSCAgbl ftEFMefpfGUI
global ftparmnamegbl ftparmoptFLGgbl ftEFMasetlrnMATgbl
global ftEFMlrnfmfoSCAgbl ftEFMlrnrsoSCAgbl
global ftFSaNo_lingCNTgbl ftFSNo_lingCNTgbl
global ftFSmax_rulesSCAgbl ftFSmax_LVSCAgbl ftFSmax_inSCAgbl ftFSmax_outSCAgbl
global ftFSbase_minSCAgbl ftFSbase_maxSCAgbl ftFSbase_diffSCAgbl
global ftFSbase_resSCAgbl ftFSNo_stepsCNTgbl ftFSrbasisMATgbl ftFSbasisMATgbl ftFSbase_setVECgbl ftFS_inMATgbl ftFSNo_fmfsCNTgbl ftFSNo_defuzCNTgbl
global ftFSNo_rulesCNTgbl ftFSNo_critCNTgbl ftFSNo_ilingCNTgbl ftFSNo_olingCNTgbl  
global ftFSilingVECgbl ftFSimaxVECgbl ftFSiminVECgbl ftFSidiffVECgbl ftFSiunitVECgbl ftFSinameVECgbl ftFSNo_inCNTgbl
global ftFSiLVlearnVECgbl ftFSiLVtypeVECgbl ftFSiLVnameVECgbl 
global ftFSolingVECgbl ftFSomaxVECgbl ftFSominVECgbl ftFSounitVECgbl ftFSonameVECgbl ftFSNo_outCNTgbl
global ftFSoLVlearnVECgbl ftFSoLVtypeVECgbl ftFSoLVnameVECgbl 
global ftFSrulelearnVECgbl ftioLVtypeVECgbl ftioLVlearnVECgbl
global ftFSunivMATgbl ftFSlnameMATgbl ftFSincMATgbl ftFSinlMATgbl ftFSinrMATgbl ftFSoutcMATgbl ftFSoutlMATgbl 
global ftFSaincMATgbl ftFSainlMATgbl ftFSainrMATgbl ftFSaoutcMATgbl ftFSaoutlMATgbl ftFSaoutrMATgbl
global ftFSoutrMATgbl ftFSiparmMATgbl ftFSoparmMATgbl ftFSilrnMATgbl ftFSolrnMATgbl 
global ftFSFLGgbl ftFS2FLGgbl ftflag_edtGUI ftparm_edtGUI ftFSdisp1FLGgbl 
global ftFSvarCNTgbl ftFSlingCNTgbl ftFSruleCNTgbl ftFSpfGUI
global ftFSfmfilenMATgbl ftFSfmfcntVECgbl ftFSimpnameMATgbl ftFSaggrfilenMATgbl ftFSdefuznameMATgbl
global ftFSaggrparmnMATgbl ftFSdefpfilnMATgbl
global ftFSfmftypenMATgbl ftFSimptypenMATgbl ftFSaggrtypenMATgbl ftFSdeftypenMATgbl
global fuztitle ftFSfuncfilenMATgbl
global ftFSdfmfparmMATgbl ftFSdaggrparmMATgbl ftFSddefparmMATgbl
global ftFSfmfparmMATgbl ftFSaggrparmMATgbl ftFSdefparmMATgbl 
global ftFSaggrpcntVECgbl ftFSdefpcntVECgbl
global ftFSfuztypeSCAgbl ftFSfuzltypeSCAgbl ftFSaggrtypeSCAgbl ftFSdeftypeSCAgbl ftFSimptypeSCAgbl 
global ftFSfmfSTRgbl ftFSimplicateSTRgbl ftFSaggregateSTRgbl ftFSdefuzSTRgbl
global ftFSinfnameSTRgbl
global ftscr_cntSCAgbl pbH_LV
global ftFSyouriterSTRgbl ftFSyinitnameSTRgbl ftFSyobjname1STRgbl ftFSyobjname2STRgbl
global ftFigPos_bigVECgbl ftFigPos_medVECgbl FigPos_smallVECgbl ftXscaleVECgbl ftYscaleVECgbl ftXYscaleVECgbl
global FigurePos_Vsmall
global ftpupH_1 ftpupH_2 ftpupH_3 fttxtH_1 fttxtH_2 fttxtH_3 ftpbH_4 ftpbH_1

global ftGAgapVECgbl ftGAfunpVECgbl ftGAch_flagSCAgbl ftGAcodingSCAgbl sobj ftGAobjfuncVECgbl 
global ftGAnoofobjSCAgbl ftGAmmVECgbl ftGAnopSCAgbl
global ftGApmaxVECgbl ftGApminVECgbl ftGApresVECgbl ftGAnbitsVECgbl 
global ftGAlchromSCAgbl bestP ftGAnichtestSCAgbl ftGAnoofpeaksSCAgbl 
global ftGAnselectSCAgbl ftGAtsizeSCAgbl ftGAnpopSCAgbl ftGAsspopSCAgbl 
global ftGAngenSCAgbl ftGAregenSCAgbl ftGApcrossSCAgbl ftGApmutateSCAgbl 
global ftGAncrossSCAgbl ftGAp1SCAgbl ftGAp2SCAgbl ftGAfun_flagSCAgbl ftEFMlchromrgbl

ftFSlala_=num2str(fuztitle(ftFSfuztypeSCAgbl,:));
if(ftFSfuzltypeSCAgbl)
        ftFSlala_=['FlexTool ' ftFSlala_ '(Multi)--Build'];
else
        ftFSlala_=['FlexTool ' ftFSlala_ '--Build'];
end % if

ftFSruleCNTgbl=1;
fig_fs1=ftfigure('fig_fs1',ftFSlala_,ftFigPos_bigVECgbl,'on','figure');

%======================
% Menu Bar-FS Options 
%======================
ftfsmbar;

ftFSpp3_= [0.97 0.05 0.55 0.13 0.05 0.005];
ftFSpp2_=str2mat('FS-INPUT BLOCK:',...
            '  Enter/Edit Number of inputs in the FS.',...
            '  Push the Variable Definition button to',...
            '  enter Names, Units, Min/Max values and',...
            '  # of Linguistic Variables per input.',...
            '  Push the LV definitions button to define',...
            '  name, type, and parameters for the',...
            '  Linguistic Variables.');
ftFSpp2_=str2mat(ftFSpp2_,...
            'FS-DECISION BLOCK:',...
            '  Use the pulldown menus to choose a type',...
            '  of FUZZY IMPLICATION, AGGREGATION,',...
            '  and DEFUZZIFICATION techniques. Most',...
            '  common types are provided as defaults.');
ftFSpp2_=str2mat(ftFSpp2_,...
            'FS-OUTPUT BLOCK:',...
            '  All options work the same way as it is',...
            '  for the inputs (Except for TSK FS.)');
ftFSpp2_=str2mat(ftFSpp2_,...
            'RULES DEFINITION:',...
            '  Click this button to enter/edit FS ftFSrule_',...
            '  Structures. Rules are added as they are',...
            '  created. A ftFSrule_ can be deleted by clicking',...
            '  the delete button.');

ftFSpp1_='FlexTool(FS) Help on Options Menu';

ftscrhlp(fig_fs1,ftFSpp1_,ftFSpp2_,ftFSpp3_,'left');

%========================
% FS-Decision Logic Block
%========================

ftFSpp1_='FS-Decision Logic Block';
ftFSpp2_=[' '];
ftFSpp3_= [0.67 0.6 0.97 0.43 0.05 0.005];
ftscrblk(fig_fs1,ftFSpp1_,ftFSpp2_,ftFSpp3_);
clear ftFSpp1_ ftFSpp3_;



ftFSpp1_='Implication';
ftFSpp3_= [0.61 0.55 0.15 0.05];
fttxtH_1=ftscrtxt(fig_fs1,ftFSpp1_,ftFSpp3_);
clear ftFSpp1_ ftFSpp3_ ftFSpp4_;

ftFSpp3_= [0.76 0.55 0.2 0.05];
ftscr_cntSCAgbl = ftscr_cntSCAgbl+1;
ftFSpp4_=['ftFSimptypeSCAgbl=get(ftflag_edtGUI(' num2str(ftscr_cntSCAgbl) '),''value'');'];
ftFSpp5_=ftFSimptypeSCAgbl;
ftFSpp6_=[1:size(ftFSimptypenMATgbl,1)]';
ftpupH_1=ftscrpup(fig_fs1,ftFSimptypenMATgbl,ftFSpp3_,ftFSpp4_,ftFSpp5_,ftFSpp6_,ftscr_cntSCAgbl);
clear ftFSpp3_

ftFSpp1_='Aggregation';
ftFSpp3_= [0.61 0.49 0.15 0.05];
fttxtH_2=ftscrtxt(fig_fs1,ftFSpp1_,ftFSpp3_);
clear ftFSpp1_ ftFSpp3_ ftFSpp4_;

ftFSpp3_= [0.76 0.49 0.2 0.05];
ftscr_cntSCAgbl = ftscr_cntSCAgbl+1;
ftFSpp4_=['ftFSaggrtypeSCAgbl=get(ftflag_edtGUI(' num2str(ftscr_cntSCAgbl) '),''value'');',...
     'if(ftFSaggrpcntVECgbl(ftFSaggrtypeSCAgbl)), ftaskpra; end'];
ftFSpp5_=ftFSaggrtypeSCAgbl;
ftFSpp6_=[1:size(ftFSaggrtypenMATgbl,1)]';
ftpupH_3=ftscrpup(fig_fs1,ftFSaggrtypenMATgbl,ftFSpp3_,ftFSpp4_,ftFSpp5_,ftFSpp6_,ftscr_cntSCAgbl);
clear ftFSpp3_;

ftFSpp1_='Defuzzifier'; 
ftFSpp3_= [0.61 0.43 0.15 0.05];
fttxtH_3=ftscrtxt(fig_fs1,ftFSpp1_,ftFSpp3_);
clear ftFSpp1_ ftFSpp3_ ftFSpp4_;

ftscr_cntSCAgbl = ftscr_cntSCAgbl+1;
ftFSpp3_= [0.76 0.43 0.2 0.05];
ftFSpp4_=['ftFSdeftypeSCAgbl=get(ftflag_edtGUI(' num2str(ftscr_cntSCAgbl) '),''value'');',...
     'if(ftFSdefpcntVECgbl(ftFSdeftypeSCAgbl)), ftaskprd; end'];
ftFSpp5_=ftFSdeftypeSCAgbl;
ftFSpp6_=[1:size(ftFSdeftypenMATgbl,1)]';
ftpupH_2=ftscrpup(fig_fs1,ftFSdeftypenMATgbl,ftFSpp3_,ftFSpp4_,ftFSpp5_,ftFSpp6_,ftscr_cntSCAgbl);
clear ftFSpp3_;

%=====================
% FS-Input Block
%=====================

ftFSpp1_='FS-Input Block';
ftFSpp2_=[' '];
ftFSpp3_= [0.95 0.6 0.97 0.71 0.05 0.005];
ftscrblk(fig_fs1,ftFSpp1_,ftFSpp2_,ftFSpp3_);
clear ftFSpp1_ ftFSpp2_ ftFSpp3_;

ftFSpp1_='Enter # of Inputs';
ftFSpp3_=[0.61 0.84 0.25 0.05];
ftscrtxt(fig_fs1,ftFSpp1_,ftFSpp3_);
clear ftFSpp1_ ftFSpp3_;

ftscr_cntSCAgbl = ftscr_cntSCAgbl+1;
ftFSpp1_=num2str(ftFSNo_inCNTgbl);
ftFSpp3_=[0.875 0.84 0.075 0.05];
ftFSpp4_=['ftFSNo_inCNTgbl=str2num(get(ftflag_edtGUI(' num2str(ftscr_cntSCAgbl) '),''string'')); ftefmlrn(0,10,0); ftefmlrn(0,11,0);'];
ftscredt(fig_fs1,ftFSpp1_,ftFSpp3_,ftFSpp4_,ftscr_cntSCAgbl);
clear ftFSpp1_ ftFSpp3_ ftFSpp4_;

p_in_11='Variable Definition';
p_in_12='Linqustic Variable Definitions';

p_in_31=[0.61 0.78 0.35 0.05];
p_in_32=[0.61 0.72 0.35 0.05];

ftFSpp4_='ftfs2(1);';
ftscrpb(fig_fs1,p_in_11,p_in_31,ftFSpp4_);
clear ftFSpp4_;

if isempty(ftFSNo_inCNTgbl) == 0 & ftEFMlrnoptSCAgbl ~= 1 
 ftFSpp4_='ftFSvarCNTgbl=1; ftfs3(1)';
 ftscrpb(fig_fs1,p_in_12,p_in_32,ftFSpp4_);
else
 % ftscrtxt(fig_fs1,p_in_12,p_in_32);
end
clear ftFSpp4_ p_in_12 p_in_32 p_in_11 p_in_31;

%=====================
% FS-Output Block
%=====================
dy=0.28;

ftFSpp1_='FS-Output Block';
ftFSpp2_=[' '];
ftFSpp3_= [0.67-dy 0.6 0.97 0.43-dy 0.05 0.005];
ftscrblk(fig_fs1,ftFSpp1_,ftFSpp2_,ftFSpp3_);
clear ftFSpp1_ ftFSpp2_ ftFSpp3_;

ftFSpp1_='Enter # of Outputs';
ftFSpp3_=[0.61 0.55-dy 0.25 0.05];
ftscrtxt(fig_fs1,ftFSpp1_,ftFSpp3_);
clear ftFSpp1_ ftFSpp3_;

ftscr_cntSCAgbl = ftscr_cntSCAgbl+1;
ftFSpp1_=num2str(ftFSNo_outCNTgbl);
ftFSpp3_=[0.875 0.55-dy 0.075 0.05];
ftFSpp4_=['ftFSNo_outCNTgbl=str2num(get(ftflag_edtGUI(' num2str(ftscr_cntSCAgbl) '),''string'')); ftefmlrn(0,10,0); ftefmlrn(0,12,0);'];
ftscredt(fig_fs1,ftFSpp1_,ftFSpp3_,ftFSpp4_,ftscr_cntSCAgbl);
clear ftFSpp1_ ftFSpp3_ ftFSpp4_;

p_out_11='Variable Definition';
p_out_12='Linqustic Variable Definitions';

p_out_31=[0.61 0.49-dy 0.35 0.05];
p_out_32=[0.61 0.43-dy 0.35 0.05];

ftFSpp4_='ftfs2(2);';
ftscrpb(fig_fs1,p_out_11,p_out_31,ftFSpp4_);
clear ftFSpp4_

if isempty(ftFSNo_outCNTgbl) == 0 & ftEFMlrnoptSCAgbl ~= 1 
 ftFSpp4_='ftFSvarCNTgbl=1; ftfs3(2);';
 ftpbH_1=ftscrpb(fig_fs1,p_out_12,p_out_32,ftFSpp4_);
else
 % ftscrtxt(fig_fs1,p_out_12,p_out_32);
end
clear ftFSpp4_ p_out_12 p_out_32 p_out_11 p_out_31

%=====================
% Go back, done, next
%=====================

ftscrpb(fig_fs1,'<< Back',[0.05 0.025 0.2 0.075],'ftefsave(1); close;');
%ftscrpb(fig_fs1,'Exit',[0.55 0.025 0.1 0.075],'ftefsave(1); ftqtmenu;');

if ftEFMasetlrnMATgbl==1 | ftEFMlrnoptSCAgbl==1 | ftEFMlrnoptSCAgbl==2 | ftEFMlrnoptSCAgbl==5
 ftscrpb(fig_fs1,'Done',[0.7 0.025 0.25 0.075],'ftefsave(1); close;');
else
 ftscrpb(fig_fs1,'Rules Definition   >>',[0.7 0.025 0.25 0.075],'ftefsave(1); ftfsrul1');
end

if ftFSfuztypeSCAgbl==2
	set(fttxtH_1,'visible','off');
	set(fttxtH_2,'visible','off');	
	set(fttxtH_3,'visible','off');
	set(ftpupH_1,'visible','off');
	set(ftpupH_2,'visible','off');
	set(ftpupH_3,'visible','off');
	if exist('ftpbH_1'), set(ftpbH_1,'visible','off'), end;
end

%
% end fteffbld.m
%


