%
% FTenwarm
%      
% =========================================================================  
%                          FlexTools(ENM) for Matlab                          
%                             Copyright (c) 1996                               
%                       Flexible Intelligence Group (FIG)       	             
%                   P. O. Box 861477, Tuscaloosa, AL 35486-0013, USA.            
%                                 06/05/1996                                  
% =========================================================================  
%
function ftenwarm
   
global ftFigPos_smallVECgbl ftENMrestartFLGgbl       

global ftcolor_bc1VECgbl  ftcolor_bc2VECgbl 
global ftcolor_fc1VECgbl  ftcolor_fc2VECgbl 
global ftXYscaleVECgbl
global ftFigPos_bigVECgbl ftFigPos_medVECgbl 
global ftFigPos_smallVECgbl ftFigPos_VsmallVECgbl
global ftflag_edtGUI      ftscr_cntSCAgbl    ftenmGUI
% ENM
global ftENMlrnOPTgbl     ftENMlrnNMATgbl    ftENMmaxSeqCNTgbl
global ftENMSeqChVECgbl   ftENMSeqChNMATgbl  ftENMeaConVECgbl
global ftENMSeqTimeVECgbl ftENMeaWtVECgbl    ftENMeaOptNMATgbl 
global ftENMselInVECgbl   ftENMynNameMATgbl  ftENMassn1MATgbl 
global ftENMassn1CNTgbl   ftENMassn2MATgbl   ftENMassn2CNTgbl
global ftENMassn3MATgbl   ftENMassn3CNTgbl   ftENMassn4MATgbl
global ftENMassn4CNTgbl   ftENMwts1MATgbl    ftENMwts1CNTgbl 
global ftENMwts2MATgbl    ftENMwts2CNTgbl    ftENMwts3MATgbl
global ftENMwts3CNTgbl    ftENMwts4MATgbl    ftENMwts4CNTgbl
global ftENMsameVECgbl    ftENMSeqCNTgbl     ftENMlrnCNTgbl
global ftENMFLGgbl        ftENM2FLGgbl       ftENMaFLGgbl
global ftNNfnflagSCAgbl   ftnndef_flag       ftENMnn_inMATgbl
global ftENMltypeFLGgbl   ftENMbldFLGgbl
global ftENMrwtlIDXgbl    ftENMcwtlIDXgbl    ftENMrassnlIDXgbl   
global ftENMcassnlIDXgbl  sval io1 io2 io3 io4
global ftENMrestartFLGgbl ftENMwtbufMATgbl   ftENMrbfOPTgbl
global ftENMweightOPTgbl  ftENMassocOPTgbl

%NN
global ftNNpp_typeMATgbl ftNNpl_freqSCAgbl
global ftscr_cntSCAgbl ftflag_edtGUI
global ftNNtitleVECgbl ftNNtypeSCAgbl
global ftNNspecialSCAgbl ftNNpp_specMATgbl
global ftNNfn_errMATgbl ftNNer_typeSCAgbl ftNNpp_ertypeMATgbl
global ftNNer_betaSCAgbl
global ftNNlearnSCAgbl ftNNpp_lrnMATgbl
global ftNNconvSCAgbl ftNNpp_cnvMATgbl ftNNpp_actMATgbl
global ftNNno_inSCAgbl ftNNno_hidSCAgbl ftNNno_outSCAgbl ftNNno_totSCAgbl
global ftNNh_layerSCAgbl ftNNpp_hlayerMATgbl ftNNno_hidVECgbl
global ftNNlrSCAgbl ftNNmrSCAgbl
global ftNNn_epSCAgbl ftNNe_thSCAgbl
global ftNNv_pcntSCAgbl ftNNasetFLGgbl
global ftNNassocMATgbl    ftNNassnCNTgbl   ftNNassocOPTgbl
global ftNNweightMATgbl  ftNNweightOPTgbl 
global ftNNwrnd_pcntSCAgbl ftNNfn_actMATgbl ftNNin_wtsVECgbl

global ftNNn_inameVECgbl ftNNn_imaxVECgbl ftNNn_iminVECgbl ftNNn_itypeVECgbl
global ftNNn_hnameVECgbl ftNNn_hmaxVECgbl ftNNn_hminVECgbl ftNNn_htypeVECgbl
global ftNNn_onameVECgbl ftNNn_omaxVECgbl ftNNn_ominVECgbl ftNNn_otypeVECgbl

global ftNNbase_maxSCAgbl ftNNbase_minSCAgbl ftNNbase_resSCAgbl

global ftNNn_iparmVECgbl  ftNNn_hparmVECgbl ftNNn_oparmVECgbl
global ftNNtrainFLGgbl    ftNNsimFLGgbl     ftNNst_flagSCAgbl
global ftNNv_stringMATgbl ftNNv_countSCAgbl ftNNact_parmMATgbl
global ftNNno_in_userSCAgbl ftNNevlGUIgbl
global two_power_k
global nn_in nn_desired nn_out rbf_mean_ rbf_sd_ newnn_in
global ftNNrbf_meanMATgbl  ftNNrbf_sdMATgbl

%EA
global ftGApmaxVECgbl     ftGApminVECgbl      ftGApresVECgbl   
global FTdel_range        FTdel_partitions    FTdel_fmfparm

global ftGApslopeVECgbl   ftGApcVECgbl 
global ftGAFLGgbl         fts_tableMATgbl     ftm_tableMATgbl 
global ftGAp_typeVECgbl   gaflag              bestP
global ftGAlchromSCAgbl   ftENMlchromrgbl     ftGAnbitsVECgbl
global ftGApcVECgbl       

global ftGArga_1GUI ftGArga_2GUI ftGArga_3GUI
global ftGArcode_noGUI ftGArcode_yesGUI
global ftGArob_1GUI ftGArob_2GUI ftGArob_3GUI global ftGArob_4GUI 
global ftGArmin_1GUI ftGArmin_2GUI ftGArmin_3GUI ftGArmin_4GUI
global ftGArmax_1GUI ftGArmax_2GUI ftGArmax_3GUI ftGArmax_4GUI
global ftGAeobj_nameGUI ftGAeinit_nameGUI 
global ftGAegenGUI ftGAenpopGUI ftGAepmGUI ftGAepcGUI 
global ftGAencGUI ftGAetsGUI ftGAenopGUI ftGAessGUI 
global ftGAeregGUI ftGAep1GUI ftGAep2GUI ftGApnicGUI ftGApselGUI

global ftGA_choiceSCAgbl ftGAobjfuncVECgbl ftGAinitfuncVECgbl ftGAnoofpSCAgbl
global ftGAcodingSCAgbl ftGAnopSCAgbl ftGAnichtestSCAgbl ftGAnoofpeaksSCAgbl 
global ftGAnselectSCAgbl ftGAnoofobjSCAgbl
global ftGAtsizeSCAgbl ftGAnpopSCAgbl ftGAsspopSCAgbl ftGAngenSCAgbl ftGAregenSCAgbl     
global ftGApcrossSCAgbl ftGApmutateSCAgbl ftGAncrossSCAgbl ftGAp1SCAgbl 
global ftGAp2SCAgbl ftGAmmVECgbl ftGAold_codeSCAgbl

global ftGAgapVECgbl ftGAfunpVECgbl 
global ftGAch_flagSCAgbl ftGAfun_flagSCAgbl ftFigPos_mediumVECgbl
global ftGAmchildSCAgbl
global ftGAminiVECgbl ftGAmaxiVECgbl ftGAavgVECgbl ftGAgennVECgbl   
global ftGAnoofevalVECgbl ftGAbestpMATgbl ftGAbestpMATgbl

global ftEN_HelpTopicVECgbl ftGA_HelpTopicVECgbl 

%-------------------------------------------   
% Load ENM Parameters   
%-------------------------------------------   
   choice=1;   
     
   fname='ftenwarm.mat';   
   if ~exist(fname),   
    choice=0;
    fig_enwarm=ftfigure('fig_enwarm','FlexTool(ENM) -- ENM WARM',ftFigPos_smallVECgbl,'on','none');
    
    ftFSpp3_= [0.9 0.1 0.9 0.5 0.005 0.005];
    ftFSpp1_=' ';

    ftFSpp2_=str2mat(' ENM File (ftenwarm.mat) is not available.',...
                ' Go back and enter data and/or Run ENM.');

    ftdispwn('Attention! Exception!',ftFSpp2_);
  else   
    fig_enwarm=ftfigure('fig_enwarm','FlexTool(ENM) -- ENM WARM',ftFigPos_smallVECgbl,'on','none');
    ftFSpp3_= [0.9 0.1 0.9 0.60 0.005 0.005];
    ftFSpp1_=' ';
    ftFSpp2_=str2mat(' This option will execute ENM from any data',... 
                  ' stored from a previous ENM generation.'); 
    ftscrhlp(fig_enwarm,ftFSpp1_,ftFSpp2_,ftFSpp3_,'left');
    ftscrpb(fig_enwarm,'Ok',[0.1 0.05 0.3 0.15],'close; load ftencold; close; ftenmenu; ftENMrestartFLGgbl=1; ftrunenm');
    ftscrpb(fig_enwarm,'Cancel',[0.6 0.05 0.3 0.15],'close;');
end   

clear ftFSpp1_ ftFSpp2_ ftFSpp3_
%
% END FTenwarm
%
