%
% FTfp_def
%
% =========================================================================  
%                          FlexTools(GA) for Matlab                          
%                             Copyright (c) 1994                               
%                       Flexible Intelligence Group (FIG)       	             
%                   P. O. Box 1477, Tuscaloosa, AL 35486, USA.            
%                                 08/05/1994                                  
% =========================================================================  
function ftfp_def(fname,flag)

global ftEAfunpVECgbl
global ftEAobjfuncVECgbl ftEAinitfuncVECgbl ftEAnoofpSCAgbl
global ftEAcodingSCAgbl ftEAnopSCAgbl ftEAlchromSCAgbl  
global ftEAnoofobjSCAgbl ftEApminVECgbl ftEApmaxVECgbl ftEApresVECgbl
global ftEAp2SCAgbl ftEAmmVECgbl ftEApresuVECgbl ftEAnbitsVECgbl ftEAmm_typeSCAgbl

if flag==1 | flag == 3
	%-----------------------------      
	% Load from a file      
	%-----------------------------      
	if flag==1
	  eval(['load ' fname]);
	  if  exist('funp')
		ftEAfunpVECgbl=funp;
	  else
		funp=ftEAfunpVECgbl;      
	  end
	end
	funp=ftEAfunpVECgbl;      
	i=1;		sobj			= funp(i); 
			ftEAobjfuncVECgbl	= setstr(funp((i+1):(i+sobj)));      
	i=i+sobj+1;	siobj			= funp(i);      
			ftEAinitfuncVECgbl	= setstr(funp((i+1):(i+siobj)));      
	i=i+siobj+1; 	ftEAnoofobjSCAgbl	= funp(i);       
			Noofobj			= ftEAnoofobjSCAgbl;
			ftEAmmVECgbl		= funp((i+1):(i+Noofobj));      
	i=i+Noofobj+1;	ftEAnopSCAgbl		= funp(i);
			nop      		= ftEAnopSCAgbl;
	i=i+1;		ftEAcodingSCAgbl	= funp(i);        
			ftEApmaxVECgbl		= funp((i+1):(i+nop));      
	i=i+nop;  	ftEApminVECgbl		= funp((i+1):(i+nop));      
	i=i+nop;	ftEApresVECgbl		= funp((i+1):(i+nop));      
	i=i+nop;	ftEAnbitsVECgbl		= funp((i+1):(i+nop));      
	i=i+nop+1;	ftEAlchromSCAgbl	= funp(i);
	if size(funp) > i
		i=i;	ftEApresuVECgbl	= funp((i+1):(i+nop)); 
	else
			ftEApresuVECgbl	= ftEApresVECgbl;
	end
	clear funp
else 
	%--------------------  
	% Save to a file  
	%--------------------   
	i=1;	sobj	= size(ftEAobjfuncVECgbl,2);      
		funp(i)	= sobj;      
	for j=(i+1):(i+sobj);      
              	funp(j)= ftEAobjfuncVECgbl(j-i);      
	end      
 	i=j+1;	siobj	= size(ftEAinitfuncVECgbl,2);      
             		funp(i)	= siobj;      
	for j=(i+1):(i+siobj);      
		funp(j)= ftEAinitfuncVECgbl(j-i);      
	end      
	i=j+1;    funp(i)= ftEAnoofobjSCAgbl;      
      ftEAmmVECgbl=1;
      if ftEAmm_typeSCAgbl==2, ftEAmmVECgbl=-1; end
	for j=(i+1):(i+ftEAnoofobjSCAgbl);      
	             	funp(j)= ftEAmmVECgbl(j-i);      
	end      
	i=j+1;    funp(i) = ftEAnopSCAgbl;
		nop = ftEAnopSCAgbl;      
	i=i+1;    funp(i) = ftEAcodingSCAgbl;      
	for j=(i+1):(i+nop);      
             		funp(j)= ftEApmaxVECgbl(j-i);      
             end      
	i=j;     
	for j=(i+1):(i+nop)      
              	funp(j)= ftEApminVECgbl(j-i);      
             end      
	i=j;
	for j=(i+1):(i+nop)      
              	funp(j)= ftEApresVECgbl(j-i);      
             end      
	i=j;
	for j=(i+1):(i+nop)      
              	funp(j)= ftEAnbitsVECgbl(j-i);      
	end      
	i=j+1;    funp(i) = ftEAlchromSCAgbl;
	for j=(i+1):(i+nop)      
              	funp(j)= ftEApresuVECgbl(j-i);      
             end      
	%-------------------------      
	% SAVE Function Parameters      
	%-------------------------      
	ftEAfunpVECgbl=funp;
	clear funp
	eval(['save ' fname ' ftEAfunpVECgbl']);     
end

%
% END FTfp_def         
%

