%
% FTgp_def
%
% =========================================================================  
%                          FlexTools(EA) for Matlab                          
%                             Copyright (c) 1994                               
%                       Flexible Intelligence Group (FIG)       	             
%                   P. O. Box 1477, Tuscaloosa, AL 35486, USA.            
%                                 08/05/1994                                  
% =========================================================================  
    
function ftgp_def(fname,flag)

global ftEAgapVECgbl ftEAch_flagSCAgbl

global ftEA_choiceSCAgbl 
global ftEAcodingSCAgbl ftEAnopSCAgbl ftEAnichtestSCAgbl ftEAnoofpeaksSCAgbl 
global ftEAnselectSCAgbl ftEAtsizeSCAgbl ftEAnpopSCAgbl ftEAsspopSCAgbl 
global ftEAngenSCAgbl ftEAregenSCAgbl ftEAnichtestSCAgbl     
global ftEApcrossSCAgbl ftEApmutateSCAgbl ftEAncrossSCAgbl ftEAp1SCAgbl 
global ftEAp2SCAgbl ftEAch_flagSCAgbl ftEAtypeSCAgbl

if flag==1 | flag==3
	%---------------
	%Load to a file
	%---------------
	if flag == 1
 		eval(['load ' fname]);
	end
	ftEAch_flagSCAgbl = 0;
	i=1;   ftEAnichtestSCAgbl =ftEAgapVECgbl(i);
	i=i+1; ftEAnoofpeaksSCAgbl =ftEAgapVECgbl(i);
	i=i+1; ftEAnselectSCAgbl =ftEAgapVECgbl(i);
	i=i+1; ftEAtsizeSCAgbl =ftEAgapVECgbl(i);
	i=i+1; ftEAnpopSCAgbl =ftEAgapVECgbl(i);
	i=i+1; ftEAsspopSCAgbl =ftEAgapVECgbl(i);
	i=i+1; ftEAngenSCAgbl =ftEAgapVECgbl(i);
	i=i+1; ftEAregenSCAgbl =ftEAgapVECgbl(i);
	i=i+1; ftEApcrossSCAgbl =ftEAgapVECgbl(i);
	i=i+1; ftEApmutateSCAgbl =ftEAgapVECgbl(i);
	i=i+1; ftEAncrossSCAgbl =ftEAgapVECgbl(i);
	i=i+1; ftEAp1SCAgbl =ftEAgapVECgbl(i);
	i=i+1; ftEAp2SCAgbl =ftEAgapVECgbl(i);
      if max(size(ftEAgapVECgbl)) > 13 
         i=i+1; ftEA_choiceSCAgbl = ftEAgapVECgbl(i);
      end
else
	%--------------------
	% Save to a file
	%--------------------
	ftEAnichtestSCAgbl=1;
      if ftEAnoofpeaksSCAgbl > 1, ftEAnichtestSCAgbl=2; end
	ftEAp1SCAgbl=1;
      ftEAp2SCAgbl=1;
	if ftEAtypeSCAgbl==2, ftEAregenSCAgbl=5; end
 	i=1;    ftEAgapVECgbl(i)= ftEAnichtestSCAgbl;
	i=i+1;  ftEAgapVECgbl(i)= ftEAnoofpeaksSCAgbl;
	i=i+1;  ftEAgapVECgbl(i)= ftEAnselectSCAgbl;
	i=i+1;  ftEAgapVECgbl(i)= ftEAtsizeSCAgbl;
	i=i+1;  ftEAgapVECgbl(i)= ftEAnpopSCAgbl;
	i=i+1;  ftEAgapVECgbl(i)= ftEAsspopSCAgbl;
	i=i+1;  ftEAgapVECgbl(i)= ftEAngenSCAgbl;
	i=i+1;  ftEAgapVECgbl(i)= ftEAregenSCAgbl;
	i=i+1;  ftEAgapVECgbl(i)= ftEApcrossSCAgbl;
	i=i+1;  ftEAgapVECgbl(i)= ftEApmutateSCAgbl;
	i=i+1;  ftEAgapVECgbl(i)= ftEAncrossSCAgbl;
	i=i+1;  ftEAgapVECgbl(i)= ftEAp1SCAgbl;
      i=i+1;  ftEAgapVECgbl(i)= ftEAp2SCAgbl;
   if isempty(ftEA_choiceSCAgbl)==1
      ftEA_choiceSCAgbl=1;
   end
   i=i+1;  ftEAgapVECgbl(i)= ftEA_choiceSCAgbl;
	%----------------------------
	% SAVE EA Parameters
	%----------------------------
	eval(['save ' fname ' ftEAgapVECgbl']);
end

% 
% END FTgp_def.m        
%
