%===================================================================
%  THIS IS THE ROUTINE TO SIMULATE THE AIRCRAFT SYSTEM USING "LQR" PI
%===================================================================
function xd1=FTlatsys(t,x1)
global ftGAgainsMATgbl

%==================
%compute feedback contol
%==================
u=- ftGAgainsMATgbl *x1(1:5);
%==================
% compute state derivatives
% x(6) is the PI
%==================

xd1(1,1)=-0.1315*x1(1)+0.1485*x1(2)+0.324*x1(4)-0.939*x1(5)+0.00012*u(1)+0.00033*u(2);
xd1(2,1)=x1(4)+0.34*x1(5);
xd1(3,1)=1.06*x1(5);
xd1(4,1)=-10.61*x1(1)-1.18*x1(4)+1.002*x1(5)-0.1032*u(1)+0.021*u(2);
xd1(5,1)=0.99*x1(1)-0.0018*x1(4)-0.259*x1(5)-0.0021*u(1)-0.0107*u(2);
xd1(6,1)=0.5*(u(1)^2+u(2)^2+(x1(1)+x1(3))^2+x1(2)^2);

