%======================================================= 
%  THIS IS THE ROUTINE TO CALCULATE PI IN THE LQR PROBLEM
%=======================================================
function PI=FTlqr(x)
global ftGAgainsMATgbl
PI=0.0;
ftGAgainsMATgbl=[x(1) x(2) x(3) x(4) x(5);x(6) x(7) x(8) x(9) x(10)];

%===============================
%Simulate for five different initial conditions
%Simulation time is 120 seconds
%===============================

x0=[0.07854;0.0;0.0;0.0;0.2;0.0];
[t,y]=ode45('ftlatsys',[0.0 120.0],x0);

k=size(y,1);
PI=y(k,6);

x0=[0.07854;0.0;0.0;0.0;0.05;0.0];
[t,y]=ode45('ftlatsys',[0.0 120.0],x0);

k=size(y,1);
PI=PI+y(k,6);

x0=[0.0;0.0;0.0;0.1;0.0;0.0];
[t,y]=ode45('ftlatsys',[0.0 120.0],x0);

k=size(y,1);
PI=PI+y(k,6);

x0=[0.07854;0.0;0.0;0.0;0.02;0.0];
[t,y]=ode45('ftlatsys',[0.0 120.0],x0);

k=size(y,1);
PI=(PI+y(k,6))/4.0;

%End of file
%===================================================================

