%
% ftmatpak.m
%
% =========================================================================  
%                          FlexTools(FS) for Matlab                          
%                             Copyright (c) 1995                               
%                       Flexible Intelligence Group (FIG)       	             
%                   P. O. Box 1477, Tuscaloosa, AL 35486, USA.            
%                                 06/05/1995                                  
% =========================================================================  
%
% Packs matrices
%

function outs = ftmatpak(ins, rows, cols, maxrow, maxcol,val)

cnt  = length(rows);
outs = zeros(maxrow+1, maxcol+1)+val;

j=1;
k=rows(1);
for(i=1:cnt)
	if(k~=rows(i))
		j=1;
		k=rows(i);
	end; % if
	outs(k,j)=ins(rows(i),cols(i));
	j=j+1;
end; % for i loop	
%
% end ftmatpak.m
%



