% =================================================================
% ftnn3.m
% =================================================================
%                        FlexTool(NN) for Matlab                          
%                           Copyright (c) 1996                               
%                   Flexible Intelligence Group (FIG)       	             
%            P. O. Box 861477, Tuscaloosa, AL 35486-0013, USA.            
%                              06/05/1996                                  
% =================================================================
% Assign Neuron Parameters..Later with GUI
%

function ftnn3

global ftNNn_inameVECgbl ftNNn_imaxVECgbl ftNNn_iminVECgbl ftNNn_itypeVECgbl
global ftNNn_hnameVECgbl ftNNn_hmaxVECgbl ftNNn_hminVECgbl ftNNn_htypeVECgbl
global ftNNn_onameVECgbl ftNNn_omaxVECgbl ftNNn_ominVECgbl ftNNn_otypeVECgbl
global ftNNno_inSCAgbl ftNNno_hidSCAgbl ftNNno_outSCAgbl; 
global ftNNpp_actMATgbl ftNNbiasFLGgbl
global ftNNtypeSCAgbl ftNNact_parmMATgbl
global ftNNn_iparmVECgbl ftNNn_oparmVECgbl ftNNn_hparmVECgbl

ni_=ftNNno_inSCAgbl;
nh_=ftNNno_hidSCAgbl;
no_=ftNNno_outSCAgbl;

for (i=1:ni_)
   ftNNn_iparmVECgbl(i,:)=ftNNact_parmMATgbl(ftNNn_itypeVECgbl(i,:),:);
end

for (i = 1:nh_)
   ftNNn_hparmVECgbl(i,:)=ftNNact_parmMATgbl(ftNNn_htypeVECgbl(i,:),:);
end
for (i = 1:no_)
   ftNNn_oparmVECgbl(i,:)=ftNNact_parmMATgbl(ftNNn_otypeVECgbl(i,:),:);
end

%====================================================================
% End ftnn3.m

