% =================================================================
% ftnnask.m
% =================================================================
%                        FlexTool(NN) for Matlab                          
%                           Copyright (c) 1996                               
%                   Flexible Intelligence Group (FIG)       	             
%            P. O. Box 861477, Tuscaloosa, AL 35486-0013, USA.            
%                              06/05/1996                                  
% =================================================================
% View | Edit NN Parameters
%

function ftnnask(CHOICE_, ftnn2_flag, rfrom_,cfrom_)

global ftscr_cntSCAgbl ftflag_edtGUI
global ftFigPos_smallVECgbl ftNNpl_freqSCAgbl
global ftNNlrSCAgbl ftNNmrSCAgbl
global ftNNn_epSCAgbl ftNNe_thSCAgbl
global ftNNv_pcntSCAgbl ftNNno_hidVECgbl
global ftNNh_layerSCAgbl ftNNconvSCAgbl
global ftNNwrnd_pcntSCAgbl ftNNtypeSCAgbl

global ftNNn_typeVECgbl ftNNc_typeVECgbl
global ftNNn_inameVECgbl ftNNn_imaxVECgbl ftNNn_iminVECgbl ftNNn_itypeVECgbl
global ftNNn_hnameVECgbl ftNNn_hmaxVECgbl ftNNn_hminVECgbl ftNNn_htypeVECgbl
global ftNNn_onameVECgbl ftNNn_omaxVECgbl ftNNn_ominVECgbl ftNNn_otypeVECgbl
global ftNNno_inSCAgbl ftNNno_hidSCAgbl ftNNno_outSCAgbl; 
global ftNNpp_actMATgbl ftNNbiasFLGgbl

global ftNNbase_maxSCAgbl ftNNbase_minSCAgbl ftNNbase_resSCAgbl
global ftNNer_betaSCAgbl

save_scr_cnt_=ftscr_cntSCAgbl;
if nargin < 2, pp4_=' '; end;

if nargin > 1
      pp4_=['if(retval_==2), count_ = 0;',... 
      ' for(fneuron_=1:ftNNno_totSCAgbl), for(tneuron_=fneuron_+1:ftNNno_totSCAgbl),',...
      ' if rand < (ftNNwrnd_pcntSCAgbl*0.01), ftNNweightMATgbl(tneuron_,fneuron_) = 0.0; ftNNassocMATgbl(tneuron_,fneuron_) = 0.0; end;',...
      ' end; end; end;',...
      'if(retval_==3), count_ = 0;',... 
      ' for(fneuron_=1:ftNNno_totSCAgbl),',...
      ' if rand < (ftNNwrnd_pcntSCAgbl*0.01), ftNNweightMATgbl(fneuron_,fneuron_) = 0.0;  ftNNassocMATgbl(tneuron_,fneuron_) = 0.0; end;',...
      ' end; end;',...
      'if(retval_==4), count_ = 0;',... 
      ' for(fneuron_=1:ftNNno_totSCAgbl), for(tneuron_=1:fneuron_-1),',...
      ' if rand < (ftNNwrnd_pcntSCAgbl*0.01), ftNNweightMATgbl(tneuron_,fneuron_) = 0.0;  ftNNassocMATgbl(tneuron_,fneuron_) = 0.0; end;',...
      ' end; end; end;',...
      'close; ftnnwts(' num2str(ftnn2_flag) ',' num2str(rfrom_) ',' num2str(cfrom_) ');'];
end
close_pp4_=['close; ' pp4_];

if CHOICE_==1
 TEXT_='lr1m';
elseif CHOICE_==2
 if     ftNNconvSCAgbl == 1
    TEXT_='#oep';
 elseif ftNNconvSCAgbl == 2
   TEXT_='erth';
 elseif ftNNconvSCAgbl == 3
   TEXT_='vald';
 end
elseif CHOICE_==3 
 if     ftNNh_layerSCAgbl == 1
    TEXT_='hln1';
 elseif ftNNh_layerSCAgbl == 2
   TEXT_='hln2';
 elseif ftNNh_layerSCAgbl == 3
   TEXT_='hln3';
 end
elseif CHOICE_==4
 TEXT_='rndw';
%elseif CHOICE_==5 % Special (Lean)
% TEXT_='lean';
elseif CHOICE_==6 % Base Set
 TEXT_='base';
elseif CHOICE_==7 % Beta for error
 TEXT_='erbt';
elseif CHOICE_==8 % Plot Options
 TEXT_='plot';
elseif CHOICE_==9 % New NN
 TEXT_='newn';
elseif CHOICE_==10 % Auto Settings for Activation
 TEXT_='ato1';
end

%if (TEXT_=='lean')
%  ftNNlean_on=1;
%  ftNNaskGUI=ftfigure('ftNNaskGUI','FlexTool(NN)--Lean (robust) NN Option',ftFigPos_smallVECgbl,'on','none');
%  ftscrpb(ftNNaskGUI,'Lean-Yes',[0.2 0.05 0.2 0.12],'close');
%  ftscrpb(ftNNaskGUI,'Lean-No',[0.6 0.05 0.2 0.12],'close');
%
%end

if (TEXT_=='rndw')
  ftNNwrnd_pcntSCAgbl=50;
  ftNNaskGUI=ftfigure('ftNNaskGUI','FlexTool(NN)--Random removal of connections',ftFigPos_smallVECgbl,'on','none');
 
      
   pp2=['This option lets the user randomly disconnect some of',...
            ' the connections in the NN. This is one way to simulate',...
            ' random loss of neuronal connections and helps in',...
            ' checking fault tolerance of the NN structure. CAUTION!',...
            ' Execution of this option destroys both the weights',...
            ' and the association matrices.'];


  pp3= [0.95 0.05 0.95 0.45 0.075 0.01];
  pp1='FlexTool(NN) Help on Options';
  ftscrhlp(ftNNaskGUI,pp1,pp2,pp3,'left');

  ftNNpp1='Enter % of connections to randomly remove';
  ftNNpp3=[0.05 0.25 0.7 0.1];
  ftscrtxt(ftNNaskGUI,ftNNpp1,ftNNpp3);
  clear ftNNpp1 ftNNpp3;

  ftscr_cntSCAgbl = ftscr_cntSCAgbl+1;
  ftNNpp1=num2str(ftNNwrnd_pcntSCAgbl);
  ftNNpp3=[0.8 0.25 0.15 0.1];
  ftNNpp4=[' ftNNwrnd_pcntSCAgbl =abs(str2num(get(ftflag_edtGUI(' num2str(ftscr_cntSCAgbl) '),''string'')));'];
  ftscredt(ftNNaskGUI,ftNNpp1,ftNNpp3,ftNNpp4,ftscr_cntSCAgbl);
  clear ftNNpp1 ftNNpp3 ftNNpp4;
end

if (TEXT_=='lr  ') | (TEXT_=='lr1m') % learning rate or LR with momentum

  ftNNaskGUI=ftfigure('ftNNaskGUI','FlexTool(NN)--Learning Parameters',ftFigPos_smallVECgbl,'on','none');
 
         
   pp2=['Learning rate (lr) should be chosen with caution.',...
            ' Smaller lr leads to more stable but slower learning.',...
            ' Larger lr might lead to faster but more unstable learning.',...
            ' Choose a small lr (around 0.01) as a starting guess.',...
            ' Momentum rate (decay rate for Hebbian) helps in some',...
            ' cases. Choose a small value (< 0.01) as a starting guess.'];


  pp3= [0.95 0.05 0.95 0.45 0.075 0.01];
  pp1='FlexTool(NN) Help on Options';
  ftscrhlp(ftNNaskGUI,pp1,pp2,pp3,'left');

  ftNNpp1='Enter Learning Rate';

  if ftNNtypeSCAgbl==11,
    ftNNpp1='Learning Rate for First Layer';
  end

  ftNNpp3=[0.1 0.315 0.55 0.1];
  ftscrtxt(ftNNaskGUI,ftNNpp1,ftNNpp3);
  clear ftNNpp1 ftNNpp3;
  ftscr_cntSCAgbl = ftscr_cntSCAgbl+1;
  ftNNpp1=num2str(ftNNlrSCAgbl);
  ftNNpp3=[0.7 0.315 0.2 0.1];
  ftNNpp4=[' ftNNlrSCAgbl =abs(str2num(get(ftflag_edtGUI(' num2str(ftscr_cntSCAgbl) '),''string'')));'];
  ftscredt(ftNNaskGUI,ftNNpp1,ftNNpp3,ftNNpp4,ftscr_cntSCAgbl);
  clear ftNNpp1 ftNNpp3 ftNNpp4;
end

if (TEXT_=='lr1m') % momentum

  ftNNpp1='Enter Momentum Rate';

  if ftNNtypeSCAgbl==11,
    if ftNNmrSCAgbl==0, ftNNmrSCAgbl=0.01; end
    ftNNpp1='Learning Rate for Grossberg Layer';
  end

  if ftNNtypeSCAgbl==7, ftNNpp1='Enter Decay Rate'; end
  ftNNpp3=[0.1 0.19 0.55 0.1];
  ftscrtxt(ftNNaskGUI,ftNNpp1,ftNNpp3);
  clear ftNNpp1 ftNNpp3;

  ftscr_cntSCAgbl = ftscr_cntSCAgbl+1;
  ftNNpp1=num2str(ftNNmrSCAgbl);
  ftNNpp3=[0.7 0.19 0.2 0.1];
  ftNNpp4=[' ftNNmrSCAgbl =abs(str2num(get(ftflag_edtGUI(' num2str(ftscr_cntSCAgbl) '),''string'')));'];
  ftscredt(ftNNaskGUI,ftNNpp1,ftNNpp3,ftNNpp4,ftscr_cntSCAgbl);
  clear ftNNpp1 ftNNpp3 ftNNpp4;
end

if (TEXT_=='#oep') % Number of epochs

  ftNNaskGUI=ftfigure('ftNNaskGUI','FlexTool(NN)--Number of Epochs',ftFigPos_smallVECgbl,'on','none');

        
         pp2=['Enter the number of times the training will cycle',...
            ' through the given set of training data.'];


  ftNNe_thSCAgbl=0.0;
  ftNNv_pcntSCAgbl=0.0;
  pp3= [0.95 0.05 0.95 0.5 0.075 0.01];
  pp1='FlexTool(NN) Help on Options';
  ftscrhlp(ftNNaskGUI,pp1,pp2,pp3,'left');

  ftNNpp1='Enter Number of epochs';
  ftNNpp3=[0.1 0.25 0.55 0.1];
  ftscrtxt(ftNNaskGUI,ftNNpp1,ftNNpp3);
  clear ftNNpp1 ftNNpp3;

  ftscr_cntSCAgbl = ftscr_cntSCAgbl+1;
  ftNNpp1=num2str(ftNNn_epSCAgbl);
  ftNNpp3=[0.7 0.25 0.2 0.1];
  ftNNpp4=[' ftNNn_epSCAgbl =fix(abs(str2num(get(ftflag_edtGUI(' num2str(ftscr_cntSCAgbl) '),''string''))));'];
  ftscredt(ftNNaskGUI,ftNNpp1,ftNNpp3,ftNNpp4,ftscr_cntSCAgbl);
  clear ftNNpp1 ftNNpp3 ftNNpp4;

end

if (TEXT_=='base') % Base Set

 ftNNaskGUI=ftfigure('ftNNaskGUI','FlexTool(NN)--Neuron Base Set',ftFigPos_smallVECgbl,'on','none');

        
         
  pp2=['Base set is the range of operation for input and output',... 
       ' Neurons (usually [-1,1] or [0,1]; Note that this is different',...
       ' from Neuron scaling option that is provided elsewhere).'];

  pp3= [0.95 0.05 0.95 0.5 0.075 0.01];
  pp1='FlexTool(NN) Help on Options';
  ftscrhlp(ftNNaskGUI,pp1,pp2,pp3,'left');

  x0=0.1; y0=0.35; dy=0.1; dy1=0.125; 
  dx=0.55; dx1=0.3; dx2=0.15; eps=0.02;

  pp1='Base Set--Minimum';
  pp3=[x0 y0 dx dy];
  ftscrtxt(ftNNaskGUI,pp1,pp3);
  clear pp1
  bprm=num2str(ftNNbase_minSCAgbl);

  pp3=[x0+dx+eps y0 dx2 dy];
  ftscr_cntSCAgbl = ftscr_cntSCAgbl+1;
  pp4=['clear bprm; bprm=get(ftflag_edtGUI(' num2str(ftscr_cntSCAgbl) '),''string''); ftNNbase_minSCAgbl=str2num(bprm);'];
  ftscredt(ftNNaskGUI,bprm, pp3, pp4,ftscr_cntSCAgbl);
  clear pp4
  clear pp3

  pp1='Base Set--Maximum';
  pp3=[x0 y0-dy1 dx dy];
  ftscrtxt(ftNNaskGUI,pp1,pp3);
  clear pp1
  bprm=num2str(ftNNbase_maxSCAgbl);
  pp3=[x0+dx+eps y0-dy1 dx2 dy];
  ftscr_cntSCAgbl = ftscr_cntSCAgbl+1;
  pp4=['clear bprm; bprm=get(ftflag_edtGUI(' num2str(ftscr_cntSCAgbl) '),''string''); ftNNbase_maxSCAgbl=str2num(bprm); if(ftNNbase_maxSCAgbl<=ftNNbase_minSCAgbl), ftNNbase_maxSCAgbl=ftNNbase_minSCAgbl+0.01; end;'];
  ftscredt(ftNNaskGUI,bprm, pp3, pp4,ftscr_cntSCAgbl);
  clear pp4
  clear pp3

end

if (TEXT_=='erth')	%Error Threshold

  ftNNaskGUI=ftfigure('ftNNaskGUI','FlexTool(NN)--Error Threshold',ftFigPos_smallVECgbl,'on','none');
         
   pp2=['FlexTool(NN) will train till the error threshold is',...
        ' reached. Change the Number of epochs to stop earlier,',...
        ' if error threshold is not reached.'];


  pp3= [0.95 0.05 0.95 0.5 0.075 0.01];
  pp1='FlexTool(NN) Help on Options';
  ftscrhlp(ftNNaskGUI,pp1,pp2,pp3,'left');

  ftNNpp1='Enter Error Threshold';
  ftNNpp3=[0.1 0.325 0.55 0.1];
  ftscrtxt(ftNNaskGUI,ftNNpp1,ftNNpp3);
  clear ftNNpp1 ftNNpp3;

  ftscr_cntSCAgbl = ftscr_cntSCAgbl+1;
  ftNNpp1=num2str(ftNNe_thSCAgbl);
  ftNNpp3=[0.7 0.325 0.2 0.1];
  ftNNpp4=[' ftNNe_thSCAgbl =abs(str2num(get(ftflag_edtGUI(' num2str(ftscr_cntSCAgbl) '),''string''))); ftNNn_epSCAgbl=1000000; ftNNv_pcntSCAgbl=0;'];
  ftscredt(ftNNaskGUI,ftNNpp1,ftNNpp3,ftNNpp4,ftscr_cntSCAgbl);
  clear ftNNpp1 ftNNpp3 ftNNpp4;

  ftNNv_pcntSCAgbl=0.0;
  ftNNn_epSCAgbl=1000000;

  ftNNpp1='Enter Number of epochs';
  ftNNpp3=[0.1 0.2 0.55 0.1];
  ftscrtxt(ftNNaskGUI,ftNNpp1,ftNNpp3);
  clear ftNNpp1 ftNNpp3;

  ftscr_cntSCAgbl = ftscr_cntSCAgbl+1;
  ftNNpp1=num2str(ftNNn_epSCAgbl);
  ftNNpp3=[0.7 0.2 0.2 0.1];
  ftNNpp4=[' ftNNn_epSCAgbl =fix(abs(str2num(get(ftflag_edtGUI(' num2str(ftscr_cntSCAgbl) '),''string''))));'];
  ftscredt(ftNNaskGUI,ftNNpp1,ftNNpp3,ftNNpp4,ftscr_cntSCAgbl);
  clear ftNNpp1 ftNNpp3 ftNNpp4;

end

if (TEXT_=='vald')	% validation

  ftNNaskGUI=ftfigure('ftNNaskGUI','FlexTool(NN)--Validation Training',ftFigPos_smallVECgbl,'on','none');

         
  pp2=['FlexTool(NN) can do validation training using a percentage',...
            ' of the user supplied data. If for example, the user chose',...
            ' 40 below, 60% of the data will be used for training and 40%',...
            ' of the data will be used for testing. Whenever the test error',...
            ' evolution deviates from training error evolution, the training',...
            ' terminates.'];

  pp3= [0.95 0.025 0.975 0.45 0.075 0.01];
  pp1='FlexTool(NN) Help on Options';
  ftscrhlp(ftNNaskGUI,pp1,pp2,pp3,'left');

  ftNNpp1='Enter Percentage';
  ftNNpp3=[0.1 0.325 0.55 0.09];
  ftscrtxt(ftNNaskGUI,ftNNpp1,ftNNpp3);
  clear ftNNpp1 ftNNpp3;

  ftscr_cntSCAgbl = ftscr_cntSCAgbl+1;
  ftNNpp1=num2str(ftNNv_pcntSCAgbl);
  ftNNpp3=[0.7 0.325 0.2 0.09];
  ftNNpp4=['ftNNe_thSCAgbl=0.0; ftNNv_pcntSCAgbl =abs(str2num(get(ftflag_edtGUI(' num2str(ftscr_cntSCAgbl) '),''string'')));'];
  ftscredt(ftNNaskGUI,ftNNpp1,ftNNpp3,ftNNpp4,ftscr_cntSCAgbl);
  clear ftNNpp1 ftNNpp3 ftNNpp4;

  ftNNpp1='Maximum Number of epochs';
  ftNNpp3=[0.1 0.2 0.55 0.09];
  ftscrtxt(ftNNaskGUI,ftNNpp1,ftNNpp3);
  clear ftNNpp1 ftNNpp3;

  ftscr_cntSCAgbl = ftscr_cntSCAgbl+1;
  ftNNpp1=num2str(ftNNn_epSCAgbl);
  ftNNpp3=[0.7 0.2 0.2 0.09];
  ftNNpp4=[' ftNNn_epSCAgbl =fix(abs(str2num(get(ftflag_edtGUI(' num2str(ftscr_cntSCAgbl) '),''string''))));'];
  ftscredt(ftNNaskGUI,ftNNpp1,ftNNpp3,ftNNpp4,ftscr_cntSCAgbl);
  clear ftNNpp1 ftNNpp3 ftNNpp4;

end

if (TEXT_=='hln1') | (TEXT_=='hln2') | (TEXT_=='hln3')	 % Hidden Layer Neurons (1st HL)

  ftNNno_hidVECgbl=[20 0 0];

  ftNNaskGUI=ftfigure('ftNNaskGUI','FlexTool(NN)--Hidden Layer Neurons',ftFigPos_smallVECgbl,'on','none');

  ftNNpp1='First Layer Neurons';
  ftNNpp3=[0.1 0.6 0.55 0.1];
  ftscrtxt(ftNNaskGUI,ftNNpp1,ftNNpp3);
  clear ftNNpp1 ftNNpp3;

  ftscr_cntSCAgbl = ftscr_cntSCAgbl+1;
  ftNNpp1=num2str(ftNNno_hidVECgbl(1));
  ftNNpp3=[0.7 0.6 0.2 0.1];
  ftNNpp4=[' ftNNno_hidVECgbl(1) =fix(abs(str2num(get(ftflag_edtGUI(' num2str(ftscr_cntSCAgbl) '),''string''))));'];
  ftscredt(ftNNaskGUI,ftNNpp1,ftNNpp3,ftNNpp4,ftscr_cntSCAgbl);
  clear ftNNpp1 ftNNpp3 ftNNpp4;
  ftNNpp41=['ftNNno_totSCAgbl=ftNNno_inSCAgbl+ftNNno_hidSCAgbl+ftNNno_outSCAgbl; ftNNweightMATgbl=rand(ftNNno_totSCAgbl,ftNNno_totSCAgbl); ftnn1(1)'];
  ftNNpp42=['if (sum(ftNNno_hidVECgbl(1:ftNNh_layerSCAgbl)) ~= ftNNno_hidSCAgbl), ftNNno_hidSCAgbl=sum(ftNNno_hidVECgbl(1:ftNNh_layerSCAgbl)); end;' ftNNpp41];
  close_pp4_=[close_pp4_ ';' ftNNpp42];
  clear ftNNpp41 ftNNpp42
end

if (TEXT_=='hln2') | (TEXT_=='hln3')	 % Hidden Layer Neurons (2nd HL)

  ftNNpp1='Second Layer Neurons';
  ftNNpp3=[0.1 0.45 0.55 0.1];
  ftscrtxt(ftNNaskGUI,ftNNpp1,ftNNpp3);
  clear ftNNpp1 ftNNpp3;

  ftscr_cntSCAgbl = ftscr_cntSCAgbl+1;
  ftNNpp1=num2str(ftNNno_hidVECgbl(2));
  ftNNpp3=[0.7 0.45 0.2 0.1];
  ftNNpp4=[' ftNNno_hidVECgbl(2) =fix(abs(str2num(get(ftflag_edtGUI(' num2str(ftscr_cntSCAgbl) '),''string''))));'];
  ftscredt(ftNNaskGUI,ftNNpp1,ftNNpp3,ftNNpp4,ftscr_cntSCAgbl);
  clear ftNNpp1 ftNNpp3 ftNNpp4;
end

if (TEXT_=='hln3')	 % Hidden Layer Neurons (3rd HL)

  ftNNpp1='Third Layer Neurons';
  ftNNpp3=[0.1 0.3 0.55 0.1];
  ftscrtxt(ftNNaskGUI,ftNNpp1,ftNNpp3);
  clear ftNNpp1 ftNNpp3;

  ftscr_cntSCAgbl = ftscr_cntSCAgbl+1;
  ftNNpp1=num2str(ftNNno_hidVECgbl(3));
  ftNNpp3=[0.7 0.3 0.2 0.1];
  ftNNpp4=[' ftNNno_hidVECgbl(3) =fix(abs(str2num(get(ftflag_edtGUI(' num2str(ftscr_cntSCAgbl) '),''string''))));'];
  ftscredt(ftNNaskGUI,ftNNpp1,ftNNpp3,ftNNpp4,ftscr_cntSCAgbl);
  clear ftNNpp1 ftNNpp3 ftNNpp4;
end

if (TEXT_=='erbt') % Beta for Error

  ftNNaskGUI=ftfigure('ftNNaskGUI','FlexTool(NN)--Beta for Error Definition',ftFigPos_smallVECgbl,'on','none');

         
  pp2=['Enter a positive value for beta that is used',...
            ' in defining the error function. See Manual for',...
            ' complete definition of the error functions.'];


  ftNNer_betaSCAgbl=1.0;
  pp3= [0.95 0.05 0.95 0.5 0.075 0.01];
  pp1='FlexTool(NN) Help on Options';
  ftscrhlp(ftNNaskGUI,pp1,pp2,pp3,'left');

  ftNNpp1='Enter a Positive Value for Beta';
  ftNNpp3=[0.1 0.25 0.55 0.1];
  ftscrtxt(ftNNaskGUI,ftNNpp1,ftNNpp3);
  clear ftNNpp1 ftNNpp3;

  ftscr_cntSCAgbl = ftscr_cntSCAgbl+1;
  ftNNpp1=num2str(ftNNer_betaSCAgbl);
  ftNNpp3=[0.7 0.25 0.2 0.1];
  ftNNpp4=['ftNNer_betaSCAgbl =fix(abs(str2num(get(ftflag_edtGUI(' num2str(ftscr_cntSCAgbl) '),''string''))));'];
  ftscredt(ftNNaskGUI,ftNNpp1,ftNNpp3,ftNNpp4,ftscr_cntSCAgbl);
  clear ftNNpp1 ftNNpp3 ftNNpp4;

end

if (TEXT_=='plot') % plot options
  ftNNaskGUI=ftfigure('ftNNaskGUI','FlexTool(NN)--Plot Options',ftFigPos_smallVECgbl,'on','none');

         
  pp2=['Enter the number of epochs to skip between plot',...
            ' updates. Plotting every epoch will slow the',...
            ' training time.'];



  pp3= [0.95 0.05 0.95 0.5 0.075 0.01];
  pp1='FlexTool(NN) Help on Options';
  ftscrhlp(ftNNaskGUI,pp1,pp2,pp3,'left');

  ftNNpp1='Enter an integer value';
  ftNNpp3=[0.1 0.25 0.55 0.1];
  ftscrtxt(ftNNaskGUI,ftNNpp1,ftNNpp3);
  clear ftNNpp1 ftNNpp3;

  ftscr_cntSCAgbl = ftscr_cntSCAgbl+1;
  ftNNpp1=num2str(ftNNpl_freqSCAgbl);
  ftNNpp3=[0.7 0.25 0.2 0.1];
  ftNNpp4=['ftNNpl_freqSCAgbl =fix(abs(str2num(get(ftflag_edtGUI(' num2str(ftscr_cntSCAgbl) '),''string''))));'];
  ftscredt(ftNNaskGUI,ftNNpp1,ftNNpp3,ftNNpp4,ftscr_cntSCAgbl);
  clear ftNNpp1 ftNNpp3 ftNNpp4;

end

if (TEXT_=='newn') % New NN option

  ftNNaskGUI=ftfigure('ftNNaskGUI','FlexTool(NN)--New NN Option',ftFigPos_smallVECgbl,'on','none');

         
   pp2=['This Option will let you create a "New NN" and will clear',...
            ' all the attributes of the current NN.',...
            ' Click Ok or Cancel.'];
      
  pp3= [0.95 0.05 0.95 0.5 0.075 0.01];
  pp1='FlexTool(NN) Help on Options';
  ftscrhlp(ftNNaskGUI,pp1,pp2,pp3,'left');

  ftscrpb(ftNNaskGUI,'Ok',[0.1 0.05 0.2 0.12],'load ft3nn_def; close; pause(0.1); close; ft3pak; ftnn1');

  ftscrpb(ftNNaskGUI,'Cancel',[0.7 0.05 0.2 0.12],'close');
end

if (TEXT_=='ato1') % Auto Settings

  ftNNaskGUI=ftfigure('ftNNaskGUI','FlexTool(NN)--Auto Settings for Activations',ftFigPos_smallVECgbl,'on','none');

         
          pp2=['Select one activation function that',...
            ' is common to all neurons.'];


  pp3= [0.95 0.05 0.95 0.65 0.075 0.01];
  pp1='FlexTool(NN) Help on Options';
  ftscrhlp(ftNNaskGUI,pp1,pp2,pp3,'left');

  pp1='Inputs';
  pp3=[0.1 0.5 0.2 0.1];
  ftscrtxt(ftNNaskGUI,pp1,pp3);
  clear pp1;
  ftscr_cntSCAgbl=ftscr_cntSCAgbl+1;
  pp3=[0.1 0.4 0.2 0.1];
  pp4=['ftNNn_itypeVECgbl=ones(size(ftNNn_itypeVECgbl))*get(ftflag_edtGUI(' num2str(ftscr_cntSCAgbl) '),''value'');'];
  pp5=ftNNn_itypeVECgbl(1);
  pp6=[1:(size(ftNNpp_actMATgbl,1)-1)]';
  ftscrpup(ftNNaskGUI,ftNNpp_actMATgbl(1:5,:),pp3,pp4,pp5,pp6,ftscr_cntSCAgbl);
  clear pp1 pp3

  pp1='Hidden';
  pp3=[0.4 0.5 0.2 0.1];
  ftscrtxt(ftNNaskGUI,pp1,pp3);
  clear pp1;
  ftscr_cntSCAgbl=ftscr_cntSCAgbl+1;
  pp3=[0.4 0.4 0.2 0.1];
  pp4=['ftNNn_htypeVECgbl=ones(size(ftNNn_htypeVECgbl))*get(ftflag_edtGUI(' num2str(ftscr_cntSCAgbl) '),''value'');'];
  pp5=ftNNn_htypeVECgbl(1);
  pp6=[1:(size(ftNNpp_actMATgbl,1)-1)]';
  ftscrpup(ftNNaskGUI,ftNNpp_actMATgbl(1:5,:),pp3,pp4,pp5,pp6,ftscr_cntSCAgbl);
  clear pp1 pp3

  pp1='Outputs';
  pp3=[0.7 0.5 0.2 0.1];
  ftscrtxt(ftNNaskGUI,pp1,pp3);
  clear pp1;
  ftscr_cntSCAgbl=ftscr_cntSCAgbl+1;
  pp3=[0.7 0.4 0.2 0.1];
  pp4=['ftNNn_otypeVECgbl=ones(size(ftNNn_otypeVECgbl))*get(ftflag_edtGUI(' num2str(ftscr_cntSCAgbl) '),''value'');'];
  pp5=ftNNn_otypeVECgbl(1);
  pp6=[1:(size(ftNNpp_actMATgbl,1)-1)]';
  ftscrpup(ftNNaskGUI,ftNNpp_actMATgbl(1:5,:),pp3,pp4,pp5,pp6,ftscr_cntSCAgbl);
  clear pp1 pp3

  ftscr_cntSCAgbl=ftscr_cntSCAgbl+1;
  pp3=[0.1 0.4 0.2 0.1];
  pp4=['ftNNn_itypeVECgbl=ones(size(ftNNn_itypeVECgbl))*get(ftflag_edtGUI(' num2str(ftscr_cntSCAgbl) '),''value'');'];
  pp5=ftNNn_itypeVECgbl(1);
  pp6=[1:(size(ftNNpp_actMATgbl,1)-1)]';
  ftscrpup(ftNNaskGUI,ftNNpp_actMATgbl(1:5,:),pp3,pp4,pp5,pp6,ftscr_cntSCAgbl);
  clear pp1 pp3

  close_pp4_='close; close;';
end

%=====================
% Go back one screen
%=====================

ftscr_cntSCAgbl=save_scr_cnt_;

if (TEXT_~='newn')
%   ftscrpb(ftNNaskGUI,'Done',[0.4 0.05 0.2 0.12],close_pp4_);
    ftscrpb(ftNNaskGUI,'Done',[0.42 0.05 0.15 0.1],close_pp4_);
end

%
% end ftNNask.m
%
