% =================================================================
% ftnnsave.m
% =================================================================
%                        FlexTool(NN) for Matlab                          
%                           Copyright (c) 1996                               
%                   Flexible Intelligence Group (FIG)       	             
%            P. O. Box 861477, Tuscaloosa, AL 35486-0013, USA.            
%                              06/05/1996                                  
% =================================================================
% Saves data using a user defined mat file
%

function ftnnsave(argin_)

%anything we add here as global should be added in 'ftnnload', 'ftnnwarm'

global ftNNasetFLGgbl ftNNfnflagSCAgbl ftnndef_flag 
global ftNNlrSCAgbl ftNNmrSCAgbl ftNNtitleVECgbl
global ftNNn_epSCAgbl ftNNe_thSCAgbl ftNNv_pcntSCAgbl 
global ftNNbase_resSCAgbl ftNNbase_minSCAgbl ftNNbase_maxSCAgbl 
global ftNNtypeSCAgbl ftNNspecialSCAgbl ftNNlearnSCAgbl 
global ftNNer_typeSCAgbl ftNNer_betaSCAgbl ftNNconvSCAgbl 
global ftNNno_inSCAgbl ftNNno_hidSCAgbl ftNNno_outSCAgbl ftNNno_totSCAgbl
global ftNNno_in_userSCAgbl ftNNh_layerSCAgbl ftNNno_hidVECgbl 
global ftNNassocMATgbl ftNNassnCNTgbl ftNNassocOPTgbl
global ftNNweightMATgbl ftNNweightOPTgbl
global max_in max_hidden max_out 
global ftNNn_iparmVECgbl ftNNn_hparmVECgbl ftNNn_oparmVECgbl
global ftNNn_imaxVECgbl ftNNn_iminVECgbl ftNNn_itypeVECgbl ftNNn_inameVECgbl
global ftNNn_hmaxVECgbl ftNNn_hminVECgbl ftNNn_htypeVECgbl ftNNn_hnameVECgbl
global ftNNn_omaxVECgbl ftNNn_ominVECgbl ftNNn_otypeVECgbl ftNNn_onameVECgbl
global ftNNbase_maxSCAgbl ftNNbase_minSCAgbl ftNNbase_resSCAgbl
global ftNNn_iparmVECgbl ftNNn_hparmVECgbl ftNNn_oparmVECgbl
global ftNNv_stringMATgbl ftNNv_countSCAgbl
global ftNNt_errorVECgbl ftNNv_errorVECgbl
global ftNNrbf_meanMATgbl ftNNrbf_sdMATgbl
global ftbprmSTRgbl

if nargin<1
 [ftNNpf_ ftNNfunpath_]=uiputfile('*.mat','FlexTool(NN): Save NEURAL SYSTEM Parameters. Use a .mat File',50,50);
else
 if argin_=='warm'
   save ftnnwarm.mat
 elseif argin_=='view'   
   ftNNpf1_='ftnninfo.txt';
   [ftNNpf1_ ftNNfunpath_]=uiputfile(ftNNpf1_,'FlexTool(NN): Save NEURAL SYSTEM Description. ASCII format.',50,50);
   mydate=num2str(date); 
   fid=fopen( [ftNNfunpath_ ftNNpf1_], 'w' );
   fprintf(fid, '%s\n', mydate); 
   for(i=1:size(ftNNv_stringMATgbl,1))
     fprintf(fid,'%s\n',ftNNv_stringMATgbl(i,:)); 
   end; 
   fclose(fid);
 end
end

if nargin<1 & ftNNpf_ ~=0
 eval(['save ' ftNNfunpath_ ftNNpf_])
else
 ftNNpf_='ftneural.mat';
end

%
% end ftnnsave.m
%
