%
% FTscrblk
%
% =========================================================================  
%                          FlexTool( ) for Matlab                          
%                             Copyright (c) 1995                               
%                       Flexible Intelligence Group (FIG)       	             
%                   P. O. Box 1477, Tuscaloosa, AL 35486, USA.            
%                                 06/05/1995                                  
% =========================================================================  
%
% General purpose GUI routine
%

function ftscrblk(fignumber,p1,p2,p3);

textlabel=p1;
texthelp=p2;
texthelp_loc=p3;

% Set up the texthelp Window
    wt=texthelp_loc(1);
    wl=texthelp_loc(2);
    wr=texthelp_loc(3);
    wb=texthelp_loc(4);
    wl_ht=texthelp_loc(5);
    wsp=texthelp_loc(6);

    frame_border=0.02;
    frame_pos=[wl-frame_border wb-frame_border ...
	(wr-wl)+2*frame_border (wt-wb)+2*frame_border];
    uicontrol(fignumber, ...
        'Style','frame', ...
        'Units','normalized', ...
        'Position',frame_pos, ...
	'BackgroundColor',[0.55 .55 .55]);
%	'BackgroundColor',[0.80 0.60 0.50]);

    label_pos=[wl wt-wl_ht (wr-wl) wl_ht];
    uicontrol(fignumber, ...
	'Style','text', ...
        'Units','normalized', ...
        'Position',label_pos, ...
        'BackgroundColor',[0.50 0.50 0.50], ...
	'ForegroundColor',[1 1 1], ...
        'String',textlabel);

    text_pos=[wl wb (wr-wl) wt-wb-wl_ht-wsp];
    txtHndl=uicontrol(fignumber, ...
	'Style','text', ...
        'Units','normalized', ...
        'Max',10, ...
        'BackgroundColor',[1 1 1], ...
        'Position',text_pos, ...
        'String',texthelp);

%
% END FTscrblk
%
