%
% FTscrpb
%
% =========================================================================  
%                          FlexTools(GA) for Matlab                          
%                             Copyright (c) 1995                               
%                       Flexible Intelligence Group (FIG)       	             
%                   P. O. Box 1477, Tuscaloosa, AL 35486, USA.            
%                                 06/05/1995                                  
% =========================================================================  
%
% General purpose GUI routine
%

function outval=ftscrpb(fignumber,p1,p3,p4,p5,p6);

textlabel=p1;
text_loc=p3;
if nargin ~=5, p5='off';  end
if p5(1)=='n', p5='off'; elseif p5(1)=='y', p5='on'; end

if nargin <=5, p6='on'; end

outval=uicontrol(fignumber, ...
   'Style','push', ...
   'Units','normalized', ...
   'Position',text_loc, ...
   'BackgroundColor',[0.5 0.5 0.5], ...
   'ForegroundColor',[1 1 1], ...
   'Interruptible',p5,...
   'String',textlabel, ...
   'callback',p4, ...
   'enable', p6);
%
% END FTscrpb
%

